


package com.tin.tds.lower;

public interface FileValidatorInterface
{

	public static final String STATISTICS_FILE_EXT = "_PAN_Statistics.html";

	public static final String PAPER_RET_WAR_FILE_EXT = "_Paper_Statement_Warning_File.html";

	public static final String PROPERTY_FILE_PATH = "/tds.properties";

	static final String FIELD_SEPERATOR = "^";

	public static final String FIELD_NULL = "";

	static final String FILETYPE_PAN_CORRECTION = "PC";

	static final String FILE_HEADER_IDENTIFIER = "FH";

	static final String BATCH_HEADER_IDENTIFIER = "BH";

	static final String CHALLAN_HEADER_IDENTIFIER = "CD";

	static final String DEDUCTEE_HEADER_IDENTIFIER = "DD";

	static final String SALARY_STATEMENT_IDENTIFIER = "SD";

	static final String FILETYPE_SALARY_ELECTRONIC = "SL1";

	static final String FILETYPE_SALARY_DIGITAL = "SL9";

	static final String FILETYPE_NONSALARY_ELECTRONIC = "NS1";

	static final String FILETYPE_NONSALARY_DIGITAL = "NS9";

	static final String FILETYPE_TCS_DIGITAL = "TC9";

	static final String FILETYPE_TCS_ELECTRONIC = "TC1";

	static final String UPLOADTYPE_REGULAR = "R";

	static final String UPLOADTYPE_CORRECTION = "C";

	static final String UPLOADED_BY_DEDUCTOR = "D";

	static final String UPLOADED_BY_TFC = "T";

	static final String TRANSACTIONTYPE_CORRECTION_BATCH = "C1";

	static final String TRANSACTIONTYPE_CORRECTION_CHALLAN = "C2";

	static final String TRANSACTIONTYPE_CORRECTION_DEDUCTEE = "C3";

	static final String TRANSACTIONTYPE_CORRECTION_SALARY = "C4";

	static final String TRANSACTIONTYPE_CORRECTION_PAN = "C5";

	static final String TRANSACTIONTYPE_ADDITION_CHALLAN = "C9";

	static final String TRANSACTIONTYPE_REPLACE_SALARY = "Z";

	static final String TRANSACTIONTYPE_CORRECTION_CANCELLATION = "X";

	static final String TRANSACTIONTYPE_CANCELLATION_BATCH = "Y";

	static final String TRANSACTIONTYPE_CANCELLATION_BATCH_TFC = "Y1";
	
	//ADDED BY AMI
	
	static final String CENTRAL_GOVERNMENT = "A";
	
	static final String STATE_GOVERNMENT = "S";
	
	static final String STATUTORY_BODY_CG = "D";
	
	static final String STATUTORY_BODY_SG = "E";
	
	static final String AUTONOMOUS_BODY_CG = "G";
	
	static final String AUTONOMOUS_BODY_SG = "H";
	 	
	static final String LOCAL_AUTHORITY_CG = "L"; 
	
	static final String LOCAL_AUTHORITY_SG = "N";
	
	static final String COMPANY89 = "K";
	
	static final String BRANCH_DIV_COMPANY = "M";
	
	static final String ASSOCIATION_OF_PERSON = "P";
 	
	static final String ASSOCIATION_OF_PERSON_TRUST = "T";
	
	static final String ARTIFICIAL_JURIDICAL_PERSON = "J";
	
	static final String BODY_OF_INDIVIDUALS = "B";
	
	static final String INDIVIDUAL = "Q";
		
	static final String FIRM = "F"; 

	//END

	static final String PAN_NOT_AVAILABLE = "PANNOTAVBL";

	static final String PAN_APPLIED = "PANAPPLIED";

	static final String PAN_INVALID = "PANINVALID";
	
	static final String PAN_NOT_REQUIRED = "PANNOTREQD"; //Value allowed for Deductor PAN ----Added by AMI

	static final String FORM_24Q = "24Q";

	static final String FORM_26Q = "26Q";

	static final String FORM_27Q = "27Q";

	static final String FORM_27EQ = "27EQ";

	static final String APPROVAL_YES = "Y";

	static final String APPROVAL_NO = "N";

	static final String TRANSACTIONTYPE_CORRECTION_BATCH_LABEL = "C1-Correction in deductor's(collector's) details and/or statement related details";

	static final String TRANSACTIONTYPE_ADDITION_CHALLAN_LABEL = "C9-Correction in challan details (addition of challan/s)";

	static final String TRANSACTIONTYPE_CORRECTION_CHALLAN_LABEL = "C2-Correction in deductor's(collector's) details and/or statement related and/or challan details";

	static final String TRANSACTIONTYPE_CORRECTION_DEDUCTEE_LABEL = "C3-Correction in deductor's(collector's) details and/or statement related particulars and/or challan/deductee details";

	static final String TRANSACTIONTYPE_CORRECTION_SALARY_LABEL = "C4-Correction in salary details of deductees";

	static final String TRANSACTIONTYPE_CORRECTION_PAN_LABEL = "C5-Correction in PAN of deductees/parties";

	static final String TRANSACTIONTYPE_CORRECTION_CANCELLATION_LABEL = "X-Challan Cancellation";

	static final String TRANSACTIONTYPE_CANCELLATION_BATCH_LABEL = "Y-Statement Cancellation";

	static final String TRANSACTIONTYPE_CANCELLATION_BATCH_LABEL_TFC = "Y1-Statement Cancellation";

	static final String TRANSACTIONTYPE_REPLACE_SALARY_LABEL = "Z-Salary detail replacement";

	static final String TDSFVUVersion = "2.170";//Changes added for 7.4_2.170_2.1302 by Kiran
	
	//------------------ ADDED BY Nahush

	static final String UPLOAD_TYPE_REGULAR = "Regular";
	
	static final String UPLOAD_TYPE_CORRECTION = "Correction";
	
	static final String UPLOAD_TYPE_C1 = "C1 - Batch Correction";

	static final String UPLOAD_TYPE_C2 = "C2 - Challan Correction";

	static final String UPLOAD_TYPE_C3 = "C3 - Deductee Correction";

	static final String UPLOAD_TYPE_C4 = "C4 - Salary Correction";

	static final String UPLOAD_TYPE_C5 = "C5 - PAN Correction";

	static final String UPLOAD_TYPE_C9 = "C9 - Addition of Challan";

	static final String UPLOAD_TYPE_X  = "Challan Cancellation";

	static final String UPLOAD_TYPE_Y  = "Y - Cancellation of Statement";

	static final String BATCH_RECORD_TYPE = "Batch Record Type";
	
	static final String FILE_RECORD_TYPE = "File Record Type";
	
	static final String Batch_Record_Type = "Batch Record Type";
	
	static final String Challan_Detail_Record_Number = "Challan-Detail Record Number";

	static final String Deductee_Detail_Record_Number = "Deductee / Party Detail Record Number";
	
	static final String Salary_Detail_Record_Number = "Salary Detail Record N0";

	static final String Section_Record_Number = "Section Record N0";

	static final String Section_C6A_Number = "Section C6A ";

	static final String Section_16 = "Section 16 ";

	static final String Total_No_of_Batches = "Total No. of Batches";
		
	static final String Count_Of_Challan = "Count of Challan/transfer voucher Records";

	static final String Line_Number = " Line Number";
	
	static final String Salary_Detail_Record_Type = "Salary Detail Record Type";
	
	static final String Count_Of_Salary_Details_Records = "Count of Salary Details Records"; 

	static final String Count_Of_Deductee_Records = "Count of Deductee / Party Records";
	
	static final String Challan_Record_Type = "Challan Record Type";
	
	static final String Total_Tax_Deposit_Amount_as_per_deductee_annexure = "Total Tax Deposit Amount as per deductee annexure";
	
	static final String Sum_Of_Total_Tax = "Sum of 'Total Income Tax Deducted at Source' (TDS/ TCS - Income Tax + TDS/ TCS - Surcharge + TDS/TCS - Cess )"; 
	
	static final String DEDUCTEE_RECORD_TYPE = "Deductee Record Type";

	static final String FILE_TYPE = "File Type";

	static final String UPLOAD_TYPE = "Upload Type";
	
	static final String TRANSACTION_TYPE = "Transaction Type";
	
	static final String BATCH_UPDATION_INDICATOR = "Batch Updation Indicator";

	static final String ORIGINAL_RRR_NO = "Original RRR Number";
	
	static final String RRR_NO = "RRR Number";

	public static final String ELECTRONIC_RET_WAR_FILE_EXT = "_Electronic_Statement_Warning_File.html";
	
	//------------------ 
	public float PercentageValidPan  =  (float)0.00 ;
     
	///////  Annual //////////

	public static final String SECTION10_HEADER_IDENTIFIER = "S10";

	public static final String PERK_HEADER_IDENTIFIER = "PD";

	public static final String SECTION8889_HEADER_IDENTIFIER = "S88";

	public static final String SECTIONVIA_HEADER_IDENTIFIER = "C6A";

	public static final String SECTION16_HEADER_IDENTIFIER = "S16";

	//	public static final String[] sec8889Identification = { "88", "88B", "88C", "88D" };

	public static final String[] sec16Identification = { /*"16(i)",*/
		"16(ii)", "16(iii)" };

	//	public static final String[] sec10Identification = { "10OTHERS" };

	public static final String[] secVIAIdentification = { /* "80G", "80GG",*/
		"80CCE", "OTHERS" };
	
	

	public static final String[] periodArray = { "M1", "M2", "M3", "M4", "M5", "M6", "M7", "M8", "M9", "M10", "M11", "M12" };

	public static final String[] TDS_FVU_RCC =
		{
			"AGR",
			"AHM",
			"ALD",
			"AMR",
			"BBN",
			"BLR",
			"BPL",
			"BRD",
			"CAL",
			"CHE",
			"CHN",
			"CMB",
			"DEL",
			"HYD",
			"JBP",
			"JDH",
			"JLD",
			"JPR",
			"KLP",
			"KNP",
			"LKN",
			"MRI",
			"MRT",
			"MUM",
			"NGP",
			"NSK",
			"PNE",
			"PTL",
			"PTN",
			"RCH",
			"RKT",
			"RTK",
			"SHL",
			"SRT",
			"TVD",
			"VPN" };

	public static final String paperRetBankChalnDefValue = "999999999";

	public static final String paperRetBankBSRDefValue = "9999999";
    
    public static final String paperRetSecIDDefValue = "999";

	public static final String paperRetDateBankChalnDefValue = "01010001";

	/////    Annual Error Codes Section //////////////
	public static final String T_FV_6001_C = "T-FV-6001";
	public static final String T_FV_6002_C = "T-FV-6002";
	public static final String T_FV_6003_C = "T-FV-6003";
	public static final String T_FV_6004_C = "T-FV-6004";
	public static final String T_FV_6005_C = "T-FV-6005";
	public static final String T_FV_6006_C = "T-FV-6006";
	public static final String T_FV_6007_C = "T-FV-6007";
	public static final String T_FV_6008_C = "T-FV-6008";
	public static final String T_FV_6009_C = "T-FV-6009";
	public static final String T_FV_6010_C = "T-FV-6010";
	public static final String T_FV_6011_C = "T-FV-6011";
	public static final String T_FV_6012_C = "T-FV-6012";
	public static final String T_FV_6013_C = "T-FV-6013";
	public static final String T_FV_6014_C = "T-FV-6014";
	public static final String T_FV_6015_C = "T-FV-6015";
	public static final String T_FV_6016_C = "T-FV-6016";
	public static final String T_FV_6017_C = "T-FV-6017";
	public static final String T_FV_6018_C = "T-FV-6018";
	public static final String T_FV_6019_C = "T-FV-6019";
	public static final String T_FV_6020_C = "T-FV-6020";
	public static final String T_FV_6021_C = "T-FV-6021";
	public static final String T_FV_6022_C = "T-FV-6022";
	public static final String T_FV_6023_C = "T-FV-6023";
	public static final String T_FV_6024_C = "T-FV-6024";
	public static final String T_FV_6025_C = "T-FV-6025";
	public static final String T_FV_6026_C = "T-FV-6026";
	public static final String T_FV_6027_C = "T-FV-6027";
	public static final String T_FV_6028_C = "T-FV-6028";
	public static final String T_FV_6029_C = "T-FV-6029";
	public static final String T_FV_6030_C = "T-FV-6030";
	public static final String T_FV_6031_C = "T-FV-6031";
	public static final String T_FV_6032_C = "T-FV-6032";
	public static final String T_FV_6033_C = "T-FV-6033";
	public static final String T_FV_6034_C = "T-FV-6034";
	public static final String T_FV_6035_C = "T-FV-6035";
	public static final String T_FV_6036_C = "T-FV-6036";
	public static final String T_FV_6037_C = "T-FV-6037";
	public static final String T_FV_6038_C = "T-FV-6038";
	public static final String T_FV_6039_C = "T-FV-6039";
	//Added for FVU 2.137
	public static final String T_FV_6040_C = "T-FV-6040";
	//Added for FVU 2.142
	public static final String T_FV_6041_C = "T-FV-6041";
	///    Annual error Messages Sections ////////////
	//Added for FVU 2.144
	public static final String T_FV_6042_C = "T-FV-6042";
	public static final String T_FV_6043_C = "T-FV-6043";
	
	//ended for FVU 2.144
	
	//added for FVU 5.0 - 2.146
	public static final String T_FV_6053_C = "T_FV_6053";
	public static final String T_FV_6054_C = "T_FV_6054";
	public static final String T_FV_6055_C = "T_FV_6055";
	public static final String T_FV_6056_C = "T_FV_6056";
	public static final String T_FV_6057_C = "T_FV_6057";
	public static final String T_FV_6058_C = "T_FV_6058";
	public static final String T_FV_6059_C = "T_FV_6059";
	public static final String T_FV_6060_C = "T_FV_6060";
	public static final String T_FV_6061_C = "T_FV_6061";
	public static final String T_FV_6062_C = "T_FV_6062";
	public static final String T_FV_6063_C = "T_FV_6063";
	public static final String T_FV_6064_C = "T_FV_6064";
	public static final String T_FV_6065_C = "T_FV_6065";
	public static final String T_FV_6066_C = "T_FV_6066";
	public static final String T_FV_6067_C = "T_FV_6067";
	public static final String T_FV_6068_C = "T_FV_6068";
	//ended for FVU 5.0 - 2.146
	
//Added for FVU 5.0
	public static final String T_FV_6069_C = "T_FV_6069";
	//Ended for FVU 5.0
	
// added for FVU 5.2 by Priya
	
	public static final String T_FV_6070_C = "T_FV_6070";
	public static final String T_FV_6071_C = "T_FV_6071";
	public static final String T_FV_6072_C = "T_FV_6072";
	public static final String T_FV_6073_C = "T_FV_6073";
	public static final String T_FV_6074_C = "T_FV_6074";
	public static final String T_FV_6075_C = "T_FV_6075";
	public static final String T_FV_6076_C = "T_FV_6076";
	public static final String T_FV_6077_C = "T_FV_6077";
	public static final String T_FV_6078_C = "T_FV_6078";
	public static final String T_FV_6079_C = "T_FV_6079";
	public static final String T_FV_6080_C = "T_FV_6080";
	public static final String T_FV_6081_C = "T_FV_6081";
	public static final String T_FV_6082_C = "T_FV_6082";
	public static final String T_FV_6083_C = "T_FV_6083";
	public static final String T_FV_6084_C = "T_FV_6084";
	public static final String T_FV_6085_C = "T_FV_6085";
	public static final String T_FV_6086_C = "T_FV_6086";
	public static final String T_FV_6087_C = "T_FV_6087";
	public static final String T_FV_6088_C = "T_FV_6088";
	public static final String T_FV_6089_C = "T_FV_6089";
	public static final String T_FV_6090_C = "T_FV_6090";
	public static final String T_FV_6091_C = "T_FV_6091";
	public static final String T_FV_6092_C = "T_FV_6092";
	public static final String T_FV_6093_C = "T_FV_6093";
	public static final String T_FV_6094_C = "T_FV_6094";
	public static final String T_FV_6095_C = "T_FV_6095";
	public static final String T_FV_6096_C = "T_FV_6096";
	public static final String T_FV_6097_C = "T_FV_6097";
	
	
	// end :: added for FVU 5.2
	
	public static final String T_FV_6001_M = "Number of fields are more/less than the specified limit \n";
	public static final String T_FV_6002_M = "Invalid Section 10 Record Length\n";
	public static final String T_FV_6003_M = "Number of fields are more/less than the specified limit \n";
	public static final String T_FV_6004_M = "Invalid Section 88 Record Length\n";
	public static final String T_FV_6005_M = "Invalid value or line number not in sequence \n";
	public static final String T_FV_6006_M = "Invalid Section Record Type, i.e. the record type is not as per the prescribed file format \n";  // new error  added for fvu 2.144
	 
	// error removed  for fvu 2.144
	public static final String T_FV_6007_M = "Invalid Batch number\n";
	public static final String T_FV_6008_M = "Invalid value in the field Salary detail record number or Salary detail record number not in sequence  \n";  // new error added for fvu 2.144
	public static final String T_FV_6009_M = "Invalid Section-10 Detail Rec No\n";
	public static final String T_FV_6010_M = "Invalid value in the field Section-16 detail record number or Section-16 detail record number not in sequence  \n";   // new error added for fvu 2.144
	public static final String T_FV_6011_M = "Invalid Section-88 Detail Rec No\n";
	public static final String T_FV_6012_M = "Invalid value in the field Chapter VI-A  detail record number or Chapter VI-A detail record number not in sequence  \n";  // new error added for fvu 2.144
	public static final String T_FV_6013_M = "Allowed values are 16(ii) or 16(iii)\n";
	public static final String T_FV_6014_M = "Invalid Section-10 ID No\n";
	public static final String T_FV_6015_M = "Allowed values are 80CCE, 80CCF or OTHERS. \n"; // new error added for fvu 2.144
	public static final String T_FV_6016_M = "Invalid Section-88 ID No\n"; 
//	public static final String T_FV_6017_M = "Invalid Section-10 Deduction Amount\n";
	public static final String T_FV_6018_M = "Value should be in number with decimal value upto 2 digits \n";  // new error added for fvu 2.144
//	public static final String T_FV_6019_M = "Invalid Section Chapter VI-A Gross Amount or value not as per file format\n";   // new error added for fvu 2.144
//	public static final String T_FV_6020_M = "Invalid Section Chapter VI-A Qualifying Amount or value not as per file format	\n";  // new error added for fvu 2.144
	public static final String T_FV_6021_M = "Invalid Section Chapter VI-A Total Deductible amount \n";
	public static final String T_FV_6022_M = "Allowed value is 'C6A'\n";
	public static final String T_FV_6023_M = "Allowed value is 'S16'\n";
//	public static final String T_FV_6024_M = "Section 88 Deduction Amount less than Section 88 Total Amount \n";
	public static final String T_FV_6025_M = "Deduction details of section 16 is repeated. Mention unique section 16 deduction details.\n";
//	public static final String T_FV_6026_M = "Repeated Section 10 I.D. in the Salary Statement\n";
	public static final String T_FV_6027_M = "Deduction details of chapter VIA is repeated. Mention unique chapter VIA deduction details.\n";
//	public static final String T_FV_6028_M = "Repeated Section 88 I.D. in the Salary Statement\n";
	public static final String T_FV_6029_M = "Batch No. of Salary Statement is not the same as that of the Batch in which it is present\n";  // new error added for fvu 2.144
	public static final String T_FV_6030_M = "Count of Section 16 deduction details mentioned in the salary detail records (SD) does not match with Section 16 deduction records provided. \n";
	public static final String T_FV_6031_M = "Invalid number of Section-10 Record\n";
	public static final String T_FV_6032_M = "Invalid number of Section-88 Record\n";
	public static final String T_FV_6033_M = "Count of Chapter VI-A deduction details mentioned in the salary detail record (SD) does not match with Chapter VI-A deduction records provided.  \n";  // new error added for fvu 2.144
//	public static final String T_FV_6034_M = "Invalid Section-88 Qualifying Amount\n";
//	public static final String T_FV_6035_M = "Section-88 Qualifying Amount greater then Section-88 Gross Amount\n";
//	public static final String T_FV_6036_M = "Section-88 Deduction Amount greater then Section-88 Qualifying Amount\n";
//	public static final String T_FV_6037_M = "Section VI-A Qualifying Amount greater then Section VI-A Gross Amount\n";
//	public static final String T_FV_6038_M = "Section VI-A Deduction Amount greater then Section VI-A Qualifying Amount\n";
	public static final String T_FV_6039_M = "For Chapter VIA section 80CCE maximum amount allowed is 100,000 \n";
	//Added for FVU 2.137
	public static final String T_FV_6040_M = "Deletion of deductee records is not allowed. \n";
	//Added for FVU 2.142
	public static final String T_FV_6041_M = "For Chapter VIA section 80CCE maximum amount allowed is 150,000 \n";
	// Added for FVU 2.144
	public static final String T_FV_6042_M = "Invalid TAN, please enter valid value. \n";
	// added :: modified error by priyanka fvu 2.145
	public static final String T_FV_6043_M = "Addition of challan (i.e. C9 correction) is not allowed for the Deductor category other than Central or State Government. \n";
	// ended for FVU 2.144

	
	//added for FVU 5.0 - 2.146
	public static final String T_FV_6053_M = "Invalid value provided under Name of Deductor. Kindly provide valid value. \n";
	public static final String T_FV_6054_M = "Invalid value provided under Deductor's Branch/Division. Kindly provide valid value. \n";
	public static final String T_FV_6055_M = "Invalid value provided under Deductor's Address1. Kindly provide valid value. \n";
	public static final String T_FV_6056_M = "Invalid value provided under Deductor's Address2. Kindly provide valid value. \n";
	public static final String T_FV_6057_M = "Invalid value provided under Deductor's Address3. Kindly provide valid value. \n";
	public static final String T_FV_6058_M = "Invalid value provided under Deductor's Address4. Kindly provide valid value. \n";
	public static final String T_FV_6059_M = "Invalid value provided under Deductor's Address5. Kindly provide valid value. \n";
	public static final String T_FV_6060_M = "Invalid value provided under Name of Person responsible for Deduction. Kindly provide valid value. \n";
	public static final String T_FV_6061_M = "Invalid value provided under Designation of the Person responsible for Deduction. Kindly provide valid value. \n";
	public static final String T_FV_6062_M = "Invalid value provided under Responsible Person's Address1. Kindly provide valid value. \n";
	public static final String T_FV_6063_M = "Invalid value provided under Responsible Person's Address2. Kindly provide valid value. \n";
	public static final String T_FV_6064_M = "Invalid value provided under Responsible Person's Address3. Kindly provide valid value. \n";
	public static final String T_FV_6065_M = "Invalid value provided under Responsible Person's Address4. Kindly provide valid value. \n";
	public static final String T_FV_6066_M = "Invalid value provided under Responsible Person's Address5. Kindly provide valid value. \n";
	public static final String T_FV_6067_M = "Please provide valid email id for Deductor or Responsible Person. \n";
	public static final String T_FV_6068_M = "Please provide valid mobile number for Responsible Person. \n";
	//ended for FVU 5.0 -2.146
	
	//Added for FVU 5.0
	public static final String T_FV_6069_M = "Mismatch in TAN present in statement and .csi file imported, kindly provide valid TAN. \n";  // For tan mismatch
	//ended for FVU 5.0
	
	
// added for FVU 5.2
	
	public static final String T_FV_6070_M = "Invalid value provided under Whether house rent allowance claim exceeds rupees one lakh. \n";
	public static final String T_FV_6071_M = "Invalid value provided under 'Count PAN of landlord'. \n";
	public static final String T_FV_6072_M = "Invalid value provided under 'PAN of landlord1'. \n";
	public static final String T_FV_6073_M = "Invalid value provided under 'Name of landlord1'. \n";
	public static final String T_FV_6074_M = "Invalid value provided under 'PAN of landlord2'. \n";
	public static final String T_FV_6075_M = "Invalid value provided under 'Name of landlord2'. \n";
	public static final String T_FV_6076_M = "Invalid value provided under 'PAN of landlord3'. \n";
	public static final String T_FV_6077_M = "Invalid value provided under 'Name of landlord3'. \n";
	public static final String T_FV_6078_M = "Invalid value provided under 'PAN of landlord4'. \n";
	public static final String T_FV_6079_M = "Invalid value provided under 'Name of landlord4'. \n";
	
	
	public static final String T_FV_6080_M = "Invalid value provided under 'WhethrInterestPaidLender'. \n";
	public static final String T_FV_6081_M = "Invalid value provided under 'CountOfPanLanLoard'. \n";
	public static final String T_FV_6082_M = "Invalid value provided under 'LenderPan1'. \n";
	public static final String T_FV_6083_M = "Invalid value provided under 'LenderName1'. \n";
	public static final String T_FV_6084_M = "Invalid value provided under 'LenderPan2'. \n";
	public static final String T_FV_6085_M = "Invalid value provided under 'LenderName2'. \n";
	public static final String T_FV_6086_M = "Invalid value provided under 'LenderPan3'. \n";
	public static final String T_FV_6087_M = "Invalid value provided under 'LenderName3'. \n";
	public static final String T_FV_6088_M = "Invalid value provided under 'LenderPan4'. \n";
	public static final String T_FV_6089_M = "Invalid value provided under 'LenderName4'. \n";
	
	
	
	public static final String T_FV_6090_M = "Invalid value provided under 'Whether contributions paid by the trustees of an approved superannuation fund'. \n";
	public static final String T_FV_6091_M = "Invalid value provided under 'Name of the superannuation fund'. \n";
	public static final String T_FV_6092_M = "Invalid value provided under 'Date from which the employee has contributed to the superannuation fund'. \n";
	public static final String T_FV_6093_M = "Invalid value provided under 'Date to which the employee has contributed to the superannuation fund'. \n";
	public static final String T_FV_6094_M = "Invalid value provided under 'The amount of contribution repaid on account of principal and interest'. \n";
	public static final String T_FV_6095_M = "Invalid value provided under 'The average rate of deduction of tax during the preceding three years'. \n";
	public static final String T_FV_6096_M = "Invalid value provided under 'The amount of tax deducted on repayment'. \n";
	public static final String T_FV_6097_M = "Invalid value provided under 'Gross total income including contribution repaid on account of principal and interest from superannuation fund'. \n";
	
	
	
	// endded for FVU 5.2
	
	////  ANNUAL  ERROR CODE  DEDUCTEE           /////////////
	public static final String T_FV_4001_C = "T-FV-4001";
	public static final String T_FV_4002_C = "T-FV-4002";
	public static final String T_FV_4003_C = "T-FV-4003";
	public static final String T_FV_4004_C = "T-FV-4004";
	public static final String T_FV_4005_C = "T-FV-4005";
	public static final String T_FV_4006_C = "T-FV-4006";
	public static final String T_FV_4007_C = "T-FV-4007";
	public static final String T_FV_4008_C = "T-FV-4008";
	public static final String T_FV_4009_C = "T-FV-4009";
	public static final String T_FV_4010_C = "T-FV-4010";
	public static final String T_FV_4011_C = "T-FV-4011";
	public static final String T_FV_4012_C = "T-FV-4012";
	//	public static final String T_FV_4013_C = "T-FV-4013";
	public static final String T_FV_4014_C = "T-FV-4014";
	public static final String T_FV_4015_C = "T-FV-4015";
	public static final String T_FV_4016_C = "T-FV-4016";
	public static final String T_FV_4017_C = "T-FV-4017";
	public static final String T_FV_4018_C = "T-FV-4018";
	public static final String T_FV_4019_C = "T-FV-4019";
	public static final String T_FV_4020_C = "T-FV-4020";
	public static final String T_FV_4021_C = "T-FV-4021";
	public static final String T_FV_4022_C = "T-FV-4022";
	public static final String T_FV_4023_C = "T-FV-4023";
	public static final String T_FV_4024_C = "T-FV-4024";
	public static final String T_FV_4025_C = "T-FV-4025";
	public static final String T_FV_4026_C = "T-FV-4026";
	public static final String T_FV_4027_C = "T-FV-4027";
	public static final String T_FV_4028_C = "T-FV-4028";
	public static final String T_FV_4029_C = "T-FV-4029";
	public static final String T_FV_4030_C = "T-FV-4030";
	public static final String T_FV_4031_C = "T-FV-4031";
	public static final String T_FV_4032_C = "T-FV-4032";
	public static final String T_FV_4033_C = "T-FV-4033";
	public static final String T_FV_4034_C = "T-FV-4034";
	public static final String T_FV_4035_C = "T-FV-4035";
	public static final String T_FV_4036_C = "T-FV-4036";
	public static final String T_FV_4037_C = "T-FV-4037";
	public static final String T_FV_4038_C = "T-FV-4038";
	public static final String T_FV_4039_C = "T-FV-4039";
	public static final String T_FV_4040_C = "T-FV-4040";
	public static final String T_FV_4041_C = "T-FV-4041";
	public static final String T_FV_4042_C = "T-FV-4042";
	public static final String T_FV_4043_C = "T-FV-4043";
	public static final String T_FV_4044_C = "T-FV-4044";
	public static final String T_FV_4045_C = "T-FV-4045";
	public static final String T_FV_4046_C = "T-FV-4046";
	public static final String T_FV_4047_C = "T-FV-4047";
	public static final String T_FV_4048_C = "T-FV-4048";
	public static final String T_FV_4049_C = "T-FV-4049";
	public static final String T_FV_4050_C = "T-FV-4050";
	public static final String T_FV_4051_C = "T-FV-4051";
	public static final String T_FV_4052_C = "T-FV-4052";
	public static final String T_FV_4053_C = "T-FV-4053";
	public static final String T_FV_4054_C = "T-FV-4054";
	public static final String T_FV_4055_C = "T-FV-4055";
	public static final String T_FV_4056_C = "T-FV-4056";
	public static final String T_FV_4057_C = "T-FV-4057";
	public static final String T_FV_4058_C = "T-FV-4058";
	public static final String T_FV_4059_C = "T-FV-4059";
	public static final String T_FV_4060_C = "T-FV-4060";
	public static final String T_FV_4061_C = "T-FV-4061";
	public static final String T_FV_4062_C = "T-FV-4062";
	public static final String T_FV_4063_C = "T-FV-4063";
	public static final String T_FV_4064_C = "T-FV-4064";
	public static final String T_FV_4065_C = "T-FV-4065";
	public static final String T_FV_4066_C = "T-FV-4066";
	public static final String T_FV_4067_C = "T-FV-4067";
	public static final String T_FV_4068_C = "T-FV-4068";
	public static final String T_FV_4069_C = "T-FV-4069";
	public static final String T_FV_4070_C = "T-FV-4070";
	public static final String T_FV_4071_C = "T-FV-4071";
	public static final String T_FV_4072_C = "T-FV-4072";
	public static final String T_FV_4073_C = "T-FV-4073";
	public static final String T_FV_4074_C = "T-FV-4074";
	public static final String T_FV_4075_C = "T-FV-4075";
	public static final String T_FV_4076_C = "T-FV-4076";
	public static final String T_FV_4077_C = "T-FV-4077";
	public static final String T_FV_4078_C = "T-FV-4078";
	public static final String T_FV_4079_C = "T-FV-4079";
	public static final String T_FV_4080_C = "T-FV-4080";
	public static final String T_FV_4081_C = "T-FV-4081";
	public static final String T_FV_4082_C = "T-FV-4082";
	public static final String T_FV_4083_C = "T-FV-4083";
	public static final String T_FV_4084_C = "T-FV-4084";
	public static final String T_FV_4085_C = "T-FV-4085";
	public static final String T_FV_4086_C = "T-FV-4086";
	public static final String T_FV_4087_C = "T-FV-4087";
	public static final String T_FV_4088_C = "T-FV-4088";
	public static final String T_FV_4089_C = "T-FV-4089";
	public static final String T_FV_4090_C = "T-FV-4090";
	public static final String T_FV_4091_C = "T-FV-4091";
	public static final String T_FV_4092_C = "T-FV-4092";
	public static final String T_FV_4093_C = "T-FV-4093";
	public static final String T_FV_4094_C = "T-FV-4094";
	public static final String T_FV_4095_C = "T-FV-4095";
	public static final String T_FV_4096_C = "T-FV-4096";
	public static final String T_FV_4097_C = "T-FV-4097";
	public static final String T_FV_4098_C = "T-FV-4098";
	public static final String T_FV_4099_C = "T-FV-4099";
	public static final String T_FV_4100_C = "T-FV-4100";
	public static final String T_FV_4101_C = "T-FV-4101";
	public static final String T_FV_4102_C = "T-FV-4102";
	public static final String T_FV_4103_C = "T-FV-4103";
	public static final String T_FV_4104_C = "T-FV-4104";
	public static final String T_FV_4105_C = "T-FV-4105";
	public static final String T_FV_4106_C = "T-FV-4106";
	public static final String T_FV_4107_C = "T-FV-4107";
	public static final String T_FV_4108_C = "T-FV-4108";
	public static final String T_FV_4109_C = "T-FV-4109";
	public static final String T_FV_4110_C = "T-FV-4110";
	public static final String T_FV_4111_C = "T-FV-4111";
	public static final String T_FV_4112_C = "T-FV-4112";
	public static final String T_FV_4113_C = "T-FV-4113";
	public static final String T_FV_4114_C = "T-FV-4114";
	public static final String T_FV_4115_C = "T-FV-4115";
	public static final String T_FV_4116_C = "T-FV-4116";
	public static final String T_FV_4117_C = "T-FV-4117";
	public static final String T_FV_4118_C = "T-FV-4118";
	public static final String T_FV_4119_C = "T-FV-4119";
	public static final String T_FV_4120_C = "T-FV-4120";
	public static final String T_FV_4121_C = "T-FV-4121";
	public static final String T_FV_4122_C = "T-FV-4122";
	public static final String T_FV_4123_C = "T-FV-4123";
	public static final String T_FV_4124_C = "T-FV-4124";
	public static final String T_FV_4125_C = "T-FV-4125";
	public static final String T_FV_4126_C = "T-FV-4126";
	public static final String T_FV_4127_C = "T-FV-4127";
	public static final String T_FV_4128_C = "T-FV-4128";
	public static final String T_FV_4129_C = "T-FV-4129";
	public static final String T_FV_4130_C = "T-FV-4130";
	public static final String T_FV_4131_C = "T-FV-4131";
	public static final String T_FV_4132_C = "T-FV-4132";
	public static final String T_FV_4133_C = "T-FV-4133";
	public static final String T_FV_4134_C = "T-FV-4134";
	public static final String T_FV_4135_C = "T-FV-4135";
	public static final String T_FV_4136_C = "T-FV-4136";
	public static final String T_FV_4137_C = "T-FV-4137";
	public static final String T_FV_4138_C = "T-FV-4138";
	public static final String T_FV_4139_C = "T-FV-4139";
	public static final String T_FV_4140_C = "T-FV-4140";
	public static final String T_FV_4141_C = "T-FV-4141";
	public static final String T_FV_4142_C = "T-FV-4142";
	public static final String T_FV_4143_C = "T-FV-4143";
	public static final String T_FV_4144_C = "T-FV-4144";
	public static final String T_FV_4145_C = "T-FV-4145";
	public static final String T_FV_4146_C = "T-FV-4146";
	public static final String T_FV_4147_C = "T-FV-4147";
	public static final String T_FV_4148_C = "T-FV-4148";
	public static final String T_FV_4149_C = "T-FV-4149";
	public static final String T_FV_4150_C = "T-FV-4150";
	public static final String T_FV_4151_C = "T-FV-4151";
	public static final String T_FV_4152_C = "T-FV-4152";
	public static final String T_FV_4153_C = "T-FV-4153";
	public static final String T_FV_4154_C = "T-FV-4154";
	public static final String T_FV_4155_C = "T-FV-4155";
	public static final String T_FV_4156_C = "T-FV-4156";
	public static final String T_FV_4157_C = "T-FV-4157";
	public static final String T_FV_4158_C = "T-FV-4158";
	public static final String T_FV_4159_C = "T-FV-4159";
	public static final String T_FV_4160_C = "T-FV-4160";
	public static final String T_FV_4161_C = "T-FV-4161";
	public static final String T_FV_4162_C = "T-FV-4162";
	public static final String T_FV_4163_C = "T-FV-4163";
	public static final String T_FV_4164_C = "T-FV-4164";
	public static final String T_FV_4165_C = "T-FV-4165";
	public static final String T_FV_4166_C = "T-FV-4166";
	public static final String T_FV_4167_C = "T-FV-4167";
	public static final String T_FV_4168_C = "T-FV-4168";
	public static final String T_FV_4169_C = "T-FV-4169";
	public static final String T_FV_4170_C = "T-FV-4170";
	public static final String T_FV_4171_C = "T-FV-4171";
	public static final String T_FV_4172_C = "T-FV-4172";
	public static final String T_FV_4173_C = "T-FV-4173";
	public static final String T_FV_4174_C = "T-FV-4174";
	public static final String T_FV_4175_C = "T-FV-4175";
	public static final String T_FV_4176_C = "T-FV-4176";
	public static final String T_FV_4177_C = "T-FV-4177";
	public static final String T_FV_4178_C = "T-FV-4178";
	public static final String T_FV_4179_C = "T-FV-4179";
	public static final String T_FV_4180_C = "T-FV-4180";
	public static final String T_FV_4181_C = "T-FV-4181";
	public static final String T_FV_4182_C = "T-FV-4182";
	public static final String T_FV_4183_C = "T-FV-4183";
	public static final String T_FV_4184_C = "T-FV-4184";
	public static final String T_FV_4185_C = "T-FV-4185";
	public static final String T_FV_4186_C = "T-FV-4186";
	public static final String T_FV_4187_C = "T-FV-4187";
	public static final String T_FV_4188_C = "T-FV-4188";
	public static final String T_FV_4189_C = "T-FV-4189";
	public static final String T_FV_4190_C = "T-FV-4190";
	public static final String T_FV_4191_C = "T-FV-4191";
	public static final String T_FV_4192_C = "T-FV-4192";
	public static final String T_FV_4193_C = "T-FV-4193";
	public static final String T_FV_4194_C = "T-FV-4194";
	public static final String T_FV_4195_C = "T-FV-4195";
	public static final String T_FV_4196_C = "T-FV-4196";
	public static final String T_FV_4197_C = "T-FV-4197";
	public static final String T_FV_4198_C = "T-FV-4198";
	public static final String T_FV_4199_C = "T-FV-4199";
	public static final String T_FV_4200_C = "T-FV-4200";
	public static final String T_FV_4201_C = "T-FV-4201";
	public static final String T_FV_4202_C = "T-FV-4202";
	public static final String T_FV_4203_C = "T-FV-4203";
	public static final String T_FV_4204_C = "T-FV-4204";
	public static final String T_FV_4205_C = "T-FV-4205";
	public static final String T_FV_4206_C = "T-FV-4206";
	public static final String T_FV_4207_C = "T-FV-4207";
	public static final String T_FV_4208_C = "T-FV-4208";
	public static final String T_FV_4209_C = "T-FV-4209";
	public static final String T_FV_4210_C = "T-FV-4210";
	public static final String T_FV_4211_C = "T-FV-4211";
	public static final String T_FV_4212_C = "T-FV-4212";
	public static final String T_FV_4213_C = "T-FV-4213";
	public static final String T_FV_4214_C = "T-FV-4214";
	public static final String T_FV_4215_C = "T-FV-4215";
	public static final String T_FV_4216_C = "T-FV-4216";

	//  New Error Codes Added by Siddharth on 10/03/2006 for new Salary Detail File Format
	public static final String T_FV_4217_C = "T-FV-4217";
	public static final String T_FV_4218_C = "T-FV-4218";
	public static final String T_FV_4219_C = "T-FV-4219";
	public static final String T_FV_4220_C = "T-FV-4220";
	public static final String T_FV_4223_C = "T-FV-4223";
	public static final String T_FV_4224_C = "T-FV-4224";
	public static final String T_FV_4225_C = "T-FV-4225";
	public static final String T_FV_4226_C = "T-FV-4226";
	public static final String T_FV_4227_C = "T-FV-4227";
	public static final String T_FV_4228_C = "T-FV-4228";
	public static final String T_FV_4242_C = "T-FV-4242";
    
	
	//  New Error Codes Added by Manvendra on 05/09/2007 for new structurally valid Pan count
	public static final String T_FV_4243_C = "T-FV-4243";
    public static final String T_FV_4244_C = "T-FV-4244";
    
    // New Error Codes Added for New validaion at Remark Field :: 13-Feb-2008
    public static final String T_FV_4245_C = "T_FV_4245" ;
    // New Error Code Added For validating Amount for valid PAN :: 15-Feb-2008
    public static final String T_FV_4246_C = "T_FV_4246" ;
   // New Error Code Added For validating TAX fields when remark1 is B :: 15-Feb-2008  :: Manvendra
    public static final String T_FV_4247_C = "T-FV-4247" ;
    public static final String T_FV_4248_C = "T-FV-4248" ;
    public static final String T_FV_4249_C = "T-FV-4249" ;
    public static final String T_FV_4250_C = "T-FV-4250" ;
    public static final String T_FV_4251_C = "T-FV-4251" ;
    public static final String T_FV_4252_C = "T-FV-4252" ;
    public static final String T_FV_4253_C = "T-FV-4253" ;
    public static final String T_FV_4254_C = "T-FV-4254" ;
    
    //---------------------- 18-Feb-2008------- :: Manvendra Singh
    public static final String T_FV_4255_C = "T-FV-4255" ;
    public static final String T_FV_4256_C = "T-FV-4256" ;
    public static final String T_FV_4257_C = "T-FV-4257" ;
    public static final String T_FV_4258_C = "T-FV-4258" ;
    public static final String T_FV_4259_C = "T-FV-4259" ;
    public static final String T_FV_4260_C = "T-FV-4260" ;
    
    //  ---------------Added by Nahush for validating Deductor PAN against PAN of deductee.
    public static final String T_FV_4261_C = "T-FV-4261" ;
    public static final String T_FV_4262_C = "T-FV-4262" ;
    
    //Error Codes Added By AMI
	public static final String T_FV_4263_C = "T-FV-4263" ;
	public static final String T_FV_4264_C = "T-FV-4264" ;
	
	//Added By AMI For FVU 3.0
	public static final String T_FV_4265_C = "T-FV-4265" ;
	public static final String T_FV_4266_C = "T-FV-4266" ;
	public static final String T_FV_4267_C = "T-FV-4267" ;
	public static final String T_FV_4268_C = "T-FV-4268" ;
	public static final String T_FV_4269_C = "T-FV-4269" ;
	public static final String T_FV_4270_C = "T-FV-4270" ;
	public static final String T_FV_4271_C = "T-FV-4271" ;
	public static final String T_FV_4272_C = "T-FV-4272" ;
	//Added by ABhishek
	public static final String T_FV_4273_C = "T-FV-4273" ;
	public static final String T_FV_4274_C = "T-FV-4274" ;
	public static final String T_FV_4275_C = "T-FV-4275" ;
	public static final String T_FV_4300_C = "T-FV-4300" ;
	//END
	
	//Added for FVU 2.134 by Shalin
	public static final String T_FV_4301_C = "T-FV-4301" ;
	
	
	
	//Added for FVU 2.136 by Shalin
	public static final String T_FV_4302_C = "T-FV-4302" ;
	//Added for FVU 2.137 by Shalin
	public static final String T_FV_4303_C = "T-FV-4303" ;
	//Added for FVU 2.140 by Shalin
	public static final String T_FV_4304_C = "T-FV-4304" ;
	//Added for FVU 2.140 by Shalin
	public static final String T_FV_4305_C = "T-FV-4305" ;
	//added by Faizan for FVU 2.141
	public static final String T_FV_4306_C = "T-FV-4306" ;
	public static final String T_FV_4307_C = "T-FV-4307" ;
	public static final String T_FV_4308_C = "T-FV-4308" ;
	
	
// Added for FVU 5.2 by Priya
	
	public static final String T_FV_4333_C = "T-FV-4333" ;
	public static final String T_FV_4334_C = "T-FV-4334" ;
	public static final String T_FV_4335_C = "T-FV-4335" ;
	public static final String T_FV_4336_C = "T-FV-4336" ;
	
	// end :: Added for FVU 5.2 by Priya
	
	// Added for FVU 5.4 by shruti
	public static final String T_FV_4337_C = "T-FV-4337" ;
	public static final String T_FV_4338_C = "T-FV-4338" ;
	public static final String T_FV_4339_C = "T-FV-4339" ;
	public static final String T_FV_4340_C = "T-FV-4340" ;
	// Added for FVU 5.4 by shruti
    
    ///    ERROR Messages Deductee  ///////

	public static final String T_FV_4001_M = "Invalid Deductee detail record length. Number of fields are more/less than the specified limit as per the applicable file format. For allowed number of fields, kindly refer the latest applicable file format available at TIN website.\n";  // new error added for fvu 2.144
	public static final String T_FV_4002_M = "Value must be 'DD' (capital letters)\n";
	public static final String T_FV_4003_M = "Line number not in Sequence, it must be in running sequence  \n";  // new error added for fvu 2.144
	public static final String T_FV_4004_M = "Valid line number must be provided\n";  // new error added for fvu 2.144
	public static final String T_FV_4005_M = "Invalid value in the field line number or line number not in sequence  \n";  // new error added for fvu 2.144
	public static final String T_FV_4006_M = "Invalid Batch No, Batch no is not same as batch in which deductee is present\n";
	public static final String T_FV_4007_M = "Invalid value in the field Deductee detail record number or Deductee detail record number not in sequence \n";  // new error added for fvu 2.144
	public static final String T_FV_4008_M = "Must be NULL\n";
	public static final String T_FV_4009_M = "Invalid Employee/Party PAN. Please provide valid 10 digit value of PAN\n";
	public static final String T_FV_4010_M = "No. value should be provided \n";
	public static final String T_FV_4011_M = "Valid value of 'Total amount of salary' must be provided\n";
	public static final String T_FV_4012_M = "Valid employee / party name must be provided \n";
	//	public static final String T_FV_4013_M = "Invalid value in the field Designation of Employee or value not as per file format\n";  // new error added for fvu 2.144
	public static final String T_FV_4014_M = "Invalid Period of employment i.e. 'From - Date' under Salary details \n";  // new error added for fvu 2.144
	public static final String T_FV_4015_M = "Invalid Period of employment i.e. 'To - Date' under Salary details \n";  // new error added for fvu 2.144
	public static final String T_FV_4016_M = "'Total amount of salary ' must not be provided\n";
	public static final String T_FV_4017_M = "Invalid value in the field Employee Serial number or value not as per file format\n";  // new error added for fvu 2.144
	//	public static final String	T_FV_4018_M	 = "Invalid value of perquisites 17(2)	\n";
	public static final String T_FV_4019_M = "Must be NULL \n";
	public static final String T_FV_4020_M =
		"'Gross Total Income (339 + 335)' not equal to the Sum of 'Income chargeable under the head Salaries(334 - 338)' + 'Income (including loss from house property) under any head other than income under the head 'Salaries' offered for TDS' \n"; //modified by puja for FVU 2.158
	//	public static final String T_FV_4021_M = "Invalid Count of Salary Statement section 10 or value not as per file format	\n";  // new error added for fvu 2.144
	//	public static final String T_FV_4022_M = "Invalid Gross Total of Deduction under Section 10\n";
	public static final String T_FV_4023_M =
		"'Income chargeable under the head Salaries (334-338)' not equal to difference of 'Total Salary 334' - 'Gross Total of 'Total Deduction under section 16' under  associated Salary Details-Section 16 Detail'\n";//modified by Puja for FVU 2.158
	public static final String T_FV_4024_M = "Invalid Count of Salary Statement section 16 or value not as per file format\n";  // new error added for fvu 2.144
	public static final String T_FV_4025_M = "Invalid Gross Total of Deduction under Section 16 \n";
	public static final String T_FV_4026_M = "Invalid value under field 'Income chargeable under the head Salaries'. \n";  // new error added for fvu 2.144
	public static final String T_FV_4027_M = "Valid value under 'Income (including loss from house property) under any head other than income under the head salaries' offered for TDS must be provided  \n";  // new error added for fvu 2.144
	public static final String T_FV_4028_M = "Valid value Gross Total Income (334+335) must be provided \n";
	public static final String T_FV_4029_M = "Mention valid count of records for Chapter VI-A deduction details.  \n";  // new error added for fvu 2.144
	public static final String T_FV_4030_M = "Mention valid value for amount deudctible under Chapter VI-A.\n";  // new error added for fvu 2.144
	public static final String T_FV_4031_M = "Mention valid value for 'Total Taxable Income' \n";
	public static final String T_FV_4032_M = "Mention valid value for 'Income Tax'\n";
	//commented By Amit for fvu 2.140
	
	//public static final String T_FV_4033_M = "For Form No 24Q, Quarter 4 Employee Serial number is Mandatory\n";
	
	//Added By amit for fvu 2.140
	public static final String T_FV_4033_M="Incorrect employee reference number/deductee reference number provided. Please provide valid employee reference number/deductee reference number.\n";
	//	public static final String T_FV_4034_M = ""Invalid value under field 'Gross Total of Salary Detail - Section 88'.	\n";  // new error added for fvu 2.144
	public static final String T_FV_4035_M = "Mention valid value for 'Net Income Tax payable' \n";
	public static final String T_FV_4036_M = "Invalid value under field 'TDS/TCS-Income Tax'.\n";  // new error added for fvu 2.144
	public static final String T_FV_4037_M = "Invalid value under fidle 'TDS/TCS-Surcharge'. \n";  // new error added for fvu 2.144
	public static final String T_FV_4038_M = "Invalid value under field 'TDS/TCS-Cess'.\n";   // new error added for fvu 2.144
	public static final String T_FV_4039_M = "Invalid Value Total Income Tax Deducted at Source \n";
	public static final String T_FV_4040_M =
		"'Total Taxable Income(355-366)' not equal to the Difference of 'Gross Total Income(338+352)' - 'Gross Total of 'Amount deductible under provisions of chapter VI-A under associated Salary Details-Chapter VIA Detail' \n"; //modified by Puja for FVU 2.158
	public static final String T_FV_4041_M = "Invalid Reason for non-deduction / lower deduction.\n";
	public static final String T_FV_4042_M = "Invalid Remark 2\n";
	public static final String T_FV_4043_M = "Invalid Remark 3\n";
//	public static final String T_FV_4044_M =
//		"Sum of Total Income Tax Rebate Under Section-88 field for all Section-88 mention under Salary Detail is not equal to the 'Gross Total of Income Tax rebate under Section-88' specified in Salary Detail Record\n";
	public static final String T_FV_4045_M =
		"Sum of 'Total Deduction under Section-16' of underlying Section-16 Record is not equal to 'Total Deduction under Section-16' specified in Salary detail record \n";
	public static final String T_FV_4046_M = "Total Income tax deducted at source must not be provided \n";
	public static final String T_FV_4047_M =
			"Sum of 'Amount deductible under the provisions of Chapter VI-A'  is not equal to the amount  specified in corresponding Salary detail record. \n";  // new error added for fvu 2.144
//	public static final String T_FV_4048_M =
//		"'Section-10 Exemption Amount' of the Underlying Section-10 Record is not equal to 'Gross Total of Total Exemption under Section-10' specified in Salary Detail Record \n";
	public static final String T_FV_4049_M = "Invalid value in the field number of deductee records or value not as per file format  \n";  // new error added for fvu 2.144
	public static final String T_FV_4050_M = "Invalid value in the field Challan detail record number or Challan detail record number not in sequence \n";  // new error added for fvu 2.144
	public static final String T_FV_4051_M = "Challan record number mentioned in the deductee detail record is not the same as that of relevant challan detail record.	\n";
	public static final String T_FV_4052_M = "Invalid value provided for deductee update mode. Allowed values are 'O' / 'A'/ 'U'.\n";

	public static final String T_FV_4053_M = "Invalid value provided for deductee update mode. For regular and C9 correction statement deductee update mode should be 'O' (Alphabet). \n";

	public static final String T_FV_4054_M = "For Correction in Deductee Details Mode of updation must be ' 1 '	\n";
	public static final String T_FV_4055_M = "For Form No 26Q, 27Q and 27EQ , Employee Serial number must not be provided\n";
	public static final String T_FV_4056_M = "Invalid value in the field Deductee/Party Code or value not as per file format\n";  // new error added for fvu 2.144
	public static final String T_FV_4057_M = "For Form No 26Q, 27Q and 27EQ Deductee/Party Code is mandatory\n";
	public static final String T_FV_4058_M = "For Form 24Q Deductee/Party Code is not expected\n";
	public static final String T_FV_4059_M = "Invalid value in the field Last Employee/Party PAN or value not as per file format\n";  // new error added for fvu 2.144
	public static final String T_FV_4060_M = "Last Employee/ Party PAN must not be provided \n";
	public static final String T_FV_4061_M = "Last Employee/ Party PAN must be provided \n";
	public static final String T_FV_4062_M = "Invalid value in the field Last Employee/Party PAN Ref. No. or value not as per file format  \n";  // new error added for fvu 2.144
	public static final String T_FV_4063_M = "Last Employee/Party PAN Ref. No must not be provided \n";
	public static final String T_FV_4064_M = "Invalid Salary Detail Record Length, i.e., number of fields in the record is not same as applicable in the file format.\n";  // new error added for fvu 2.144
	//	public static final String T_FV_4065_M = "Invalid Value of 'House Rent Allowance and Other Allowances to the extent Chargeable to Tax (see sec 10(13A) read with rule 2A)'\n";
	//	public static final String T_FV_4066_M =
	//		"For Transaction Type C5 or Deletion, 'House Rent Allowance and Other Allowances to the extent Chargeable to Tax (see sec 10(13A) read with rule 2A)' must not be provided\n";
	//	public static final String T_FV_4067_M = "Invalid Value of 'Value of perquisites and amount accretion to Employees PF Account(Total 333=361+362+363+364+365+366+367)'\n";
	//	public static final String T_FV_4068_M =
	//		"For Transaction Type C5 or Deletion, 'Value of perquisites and amount accretion to Employees PF Account(Total 333=361+362+363+364+365+366+367)' must not be provided\n";
	//	public static final String T_FV_4069_M = "Invalid Value in the field 'Total Salary (335=331+332+333) or value not as per file format\n";  // new error added for fvu 2.144
	//	public static final String T_FV_4070_M = "For Transaction Type C5 or Deletion, 'Total Salary (335=331+332+333)' must not be provided\n";
	;
	//	public static final String T_FV_4071_M = "Invalid Value in the field Total Income Tax Payable (345-(346+347+348+349)) or value not as per file format\n";  // new error added for fvu 2.144
	//	public static final String T_FV_4072_M = "For Transaction Type C5 or Deletion, Total Income Tax Payable (345-(346+347+348+349)) must not be provided\n";
	public static final String T_FV_4073_M = "Valid value of 'Income Tax Relief u/s 89 when salary etc is paid in arrear or advance' must be provided \n";
	public static final String T_FV_4074_M = "'Income Tax Relief u/s 89 must not be provided\n";
	//	public static final String T_FV_4075_M = "Invalid Value of 'Perk- Where accommodation is unfurnished or value not as per file format\n";  // new error added for fvu 2.144
	//	public static final String T_FV_4076_M = "For Transaction Type C5 or Deletion, 'Perk- Where accommodation is unfurnished' must not be provided\n";
	//	public static final String T_FV_4077_M = "Invalid Value in the field 'Perk-Furnished-Value as if accommodation is unfurnished' or value not as per file format \n";  // new error added for fvu 2.144
	//	public static final String T_FV_4078_M = "For Transaction Type C5 or Deletion, 'Perk-Furnished-Value as if accommodation is unfurnished' must not be provided\n";
	public static final String T_FV_4079_M = "Valid Date of Deposit must be provided \n";
	public static final String T_FV_4080_M = "For Form number 26Q, 27Q and 27EQ Date of Deposit must not be provided \n";
	public static final String T_FV_4081_M = "Date of Deposit must not be provided  \n";
	public static final String T_FV_4082_M = "Invalid value in the field Last Total of Income Tax Deducted or value not as per file format\n";  // new error added for fvu 2.144

	public static final String T_FV_4083_M = "Last Total Income Tax Deducted must not be provided\n";

	//	 public static final String	T_FV_4084_M	 = "For Transaction Type C3 , Last Total Income Tax Deducted is mandatory \n";
	//	 public static final String	T_FV_4085_M	 = "Total Income Tax Deducted is not equal to TDS/TCS Income Tax + TDS/TCS Surcharge + TDS/TCS Cess\n";
	public static final String T_FV_4086_M = "Valid Amount of Payment / Credit / Debited must be provided \n";
	public static final String T_FV_4087_M = "Amount of Payment/ Credited/Debited must not be provided  \n";
	//	public static final String T_FV_4088_M =
	//		"'Total Salary (335=331+332+333)' not equal to Sum of 'Total amount of salary , excluding amount required  to shown in columns 332 and 333' + 'House Rent Allowance and Other Allowances to the extent Chargeable to Tax ' + 'Value of perquisites and amount accretion to Employees PF Account'\n";
	public static final String T_FV_4089_M = "Valid Date on which Amount paid / credited / Debited must be provided \n";
	public static final String T_FV_4090_M = "Date on which Amount paid/Credited/Debited must not be provided \n";
	public static final String T_FV_4091_M = "Rate at which Tax Deducted/ Collected must not be provided \n";
	public static final String T_FV_4092_M = "Valid Rate at which Tax Deducted / Collected must be provided \n";
	public static final String T_FV_4093_M = "For Form no 26Q, 27Q and 27EQ Rate at which Tax Deducted/Collected is mandatory\n";
	public static final String T_FV_4094_M = "For Form no 24Q, Rate at which Tax Deducted/Collected must not be provided\n";
	public static final String T_FV_4095_M = "Invalid value in the field Grossing up Indicator ot value not as per file format\n";  // new error added for fvu 2.144
	public static final String T_FV_4096_M = "Grossing Up Indicator must not be provided \n";
	public static final String T_FV_4097_M = "For Form no 24Q, 26Q and 27EQ Grossing up Indicator must not be provided\n";
	public static final String T_FV_4098_M = "Valid Date on which tax Deducted / Collected must be provided	\n";
	public static final String T_FV_4099_M = "Date on which Tax deducted/collected must not be provided \n";
	public static final String T_FV_4100_M = "No value should be provided in the field 'Remarks 1' \n";
	public static final String T_FV_4101_M = "No value should be provided in the field 'Remarks 2' \n";
	public static final String T_FV_4102_M = "No value to be provided for 'Date of furnishing Tax Deduction Certificate'.\n";
	//  public static final String	T_FV_4103_M	 = "For Form no 24Q Date of furnishing Tax Deduction Certificate must not be provided\n";
	//  public static final String T_FV_4104_M = "Invalid Value in the field 'Perk-Furnished-Cost of furniture' or value not as per file format'\n";  //new error added for fvu 2.144
	//	public static final String T_FV_4105_M = "For Transaction Type C5 or Deletion, 'Perk-Furnished-Cost of furniture' must not be provided\n";
	public static final String T_FV_4106_M = "Only Salary Detail Record must be provided. \n";
	//	 public static final String	T_FV_4106_M	 = "For Transaction Type C5, Mode must be U. \n";
	public static final String T_FV_4107_M =
		"Mismatch between Total Income Tax Deducted At Source and  'TDS/TCS-Income Tax for the period' + 'TDS/TCS-Surcharge for the period' + 'TDS/TCS-Cess for the period'\n";
	public static final String T_FV_4108_M = "Total Income Tax Deducted at Source must be equal to Last Total Income Tax Deducted at Source \n";
	public static final String T_FV_4109_M = "For update/deletion of deductee details, value should be provided in the field 'Last Total Tax Deducted Amount'.\n";
	public static final String T_FV_4110_M = "For addition of deductee details, no value should be provided in the field 'Last Total Income Tax Deducted Amount'\n";
	public static final String T_FV_4111_M = "Date on which Amount paid/Credited/Debited must be within the Financial Year and before the End Date of Quarter\n";
	public static final String T_FV_4112_M = "For Transaction Type C5, TDS/TCS-Income Tax must not be provided \n";
	public static final String T_FV_4113_M = "TDS/ TCS Surcharge must not be provided \n";
	public static final String T_FV_4114_M = "Only Batch and Challan Must be provided \n";
	public static final String T_FV_4115_M = "Invalid value in the field Total Tax Deposited Amount pr value not as per file format\n";  // new error added for fvu 2.144
	public static final String T_FV_4116_M = "No value should be provided for 'Remarks 3' \n";
	public static final String T_FV_4117_M = "TDS/ TCS Cess must not be provided \n";
	public static final String T_FV_4118_M = "Employee PAN is mandatory\n";
	public static final String T_FV_4119_M = "Employee Reference number is mandatory\n";
	public static final String T_FV_4120_M = "Mode of Salary Detail is mandatory\n";
	public static final String T_FV_4121_M = "Invalid value in the field Mode of Salary Statement or value not as per file format\n";  // new error added for fvu 2.144
	public static final String T_FV_4122_M = "Invalid Salary Detail Record Type, Salary Detail Record is expected\n";
	//	public static final String T_FV_4123_M =
	//		"Value of 'Perk-Furnished-Cost of furniture' must be greater then 0.00(zero) when 'Perk-Furnished-Value as if accommodation is unfurnished' is greater than 0.00(zero)\n";
	public static final String T_FV_4124_M = "Value must be 'SD' (capital letters) \n";
	public static final String T_FV_4125_M = "Deductee detail Record number must be greater than the Deductee detail Record number of previous Deductee record\n";
	public static final String T_FV_4126_M = "Employee PAN Reference number must not be provided \n";
	public static final String T_FV_4127_M = "Mode of Salary Detail is 'A' (capital letters) \n";
	public static final String T_FV_4128_M = "Valid Total Value of Purchase must be provided \n";
	public static final String T_FV_4129_M = "For Form number 24Q, 26Q and 27Q, Total Value of Purchase must not be provided\n";
	public static final String T_FV_4130_M = "Total value of purchase must not be provided \n";
	public static final String T_FV_4131_M = "Mode of salary detail must be null \n";
	public static final String T_FV_4132_M = "Last Employee/ Party PAN must not be provided \n";
	public static final String T_FV_4133_M = "Last Employee/Party PAN Reference Number must not be provided  \n";
	public static final String T_FV_4134_M = "No. value should be provided \n";
	//	public static final String T_FV_4135_M = "Value of 'Perk-Furnished-Cost of furniture' must be equal to 0.00(zero) when 'Perk-Furnished-Value as if accommodation is unfurnished' is 0.00(zero)\n";
	public static final String T_FV_4136_M = "For Deletion Employee PAN must not be provided\n";
	public static final String T_FV_4137_M = "Employee name must not be provided\n";
	//	public static final String T_FV_4138_M = "For Transaction Type C5 or Deletion, Employee Designation must not be provided\n";
	public static final String T_FV_4139_M = "For deletion of salary detail record, no value should be provided for 'From date'\n";
	public static final String T_FV_4140_M = "For deletion of salary detail record, no value should be provided for 'To date'\n";
	//	public static final String T_FV_4141_M = "Invalid Value of 'Perk-Furnished-Perqusite value of furniture(10% of 357)'\n";
	//	public static final String T_FV_4142_M = "For Transaction Type C5 or Deletion, 'Perk-Furnished-Perquisite value of furniture (10% of 357)' must not be provided\n";
	//	public static final String T_FV_4143_M = "'Perk-Furnished-Perquisite value of furniture(10% of 357)' not equal to 10% of 'Perk-Furnished-Cost of furniture'\n";
	//	public static final String T_FV_4144_M = "Invalid Value of 'Perk-Furnished-Total(356+358)'\n";
	//	public static final String T_FV_4145_M = "For Transaction Type C5 or Deletion, 'Perk-Furnished-Total(356+358)' must not be provided\n";
	//	public static final String T_FV_4146_M = "For Transaction Type C5 or Deletion, Count of Salary Statement-section 10 must not be provided\n";
	//	public static final String T_FV_4147_M = "For Transaction Type C5 or Deletion, Gross Total of Deduction under Section 10 must not be provided\n";
	//	public static final String T_FV_4148_M =
	//		"Sum of 'Perk-Furnished-Value as if accommodation is unfurnished' + 'Perk-Furnished-Perquisite value of furniture (10% of 357)' not equal to 'Perk-Furnished-Total(356+358)'\n";
	public static final String T_FV_4149_M = "For deletion of salary detail record, no value should be provided for 'Count of Section 16 details'\n";
	public static final String T_FV_4150_M = "For deletion of salary detail record, no value should be provided in the field 'Gross Total of deduction under Section 16'. \n";
	public static final String T_FV_4151_M = "For deletion of salary detail record,  no value should be provided in the field 'Income chargeable under the head Salaries'\n";
	public static final String T_FV_4152_M =
		"For deletion of salary detail record, no value should be provided in the field 'Income (including loss from house property) under head other than income under the head salaries offered for TDS'\n";
	public static final String T_FV_4153_M = "For deletion of salary detail record, no value should be provided for 'Count of chapter VIA details'\n";
	public static final String T_FV_4154_M = "For deletion of salary detail record, no value should be provided in the field 'Income chargeable under the head Salaries'.\n";
	public static final String T_FV_4155_M = "For deletion of salary detail record, no value should be provided in the field 'Total Taxable Income (352-366)'\n"; //modified by puja for FVU 2.158
	public static final String T_FV_4156_M = "For deletion of salary detail record, no value should be provided in the field 'Income Tax on Total Income'\n";
	//	public static final String T_FV_4157_M = "For Transaction Type C5 or Deletion, Count of Salary Statement-Section 88 must not be provided\n";
	//	public static final String T_FV_4158_M = "For Transaction Type C5 or Deletion, Gross Total of Salary Statement-Section 88 must not be provided\n";
	public static final String T_FV_4159_M = "For deletion of salary detail record, no value should be provided in the field 'Net Income Tax payable (375 - 376)'\n";//modified by puja for FVU 2.158
	//	public static final String T_FV_4160_M = "Invalid Value in the field 'Rent, if any, paid by Employee' or value not as per file format\n";  // new error added for fvu 2.144
	//	public static final String T_FV_4161_M = "For Transaction Type C5 or Deletion, 'Rent, if any, paid by Employee' must not be provided\n";
	//	public static final String T_FV_4162_M = "Invalid 'Value in perquisite column(355-360) or column(359-360)' or value not as per file format \n";  // new error added for fvu 2.144
	//	public static final String T_FV_4163_M = "For Transaction Type C5 or Deletion, 'Value of perquisite column(355-360) or column(359-360)' must not be provided\n";
	public static final String T_FV_4164_M = "For Deletion 'Last Gross Total Income' must be equal to 'Gross Total Income'\n";
	public static final String T_FV_4165_M = "No value should be provided for 'Remarks 1'\n";
	public static final String T_FV_4166_M = "No value should be provided for 'Remarks 2'\n";
	public static final String T_FV_4167_M = "No value should be provided for 'Remarks 3'\n";
	public static final String T_FV_4168_M = "Salary Statement detail Record number must be greater than Salary Statement detail Record number of previous Salary Statement record \n";
	public static final String T_FV_4169_M = "Batch no. is not same as batch in which salary statement is present \n";
	public static final String T_FV_4170_M = "Mention valid value in the field 'Last Gross Total Income' \n";
	public static final String T_FV_4171_M = "For regular or C4 type of correction statement (addition of salary detail record) no value should be provided for 'Last Gross Total Income' \n";
	public static final String T_FV_4172_M = "Update Mode(U) and Delete Mode(D) records should be before Add Mode(A) records \n";
	public static final String T_FV_4173_M = "Delete Mode(D) records must be before Add Mode(A) records\n";
	public static final String T_FV_4174_M = "Valid Salary Detail Record Number must be provided\n";
	public static final String T_FV_4175_M = "Invalid value in the field 'Last Total Tax Deposited Amount' or value not as per file format\n";  // new error added for fvu 2.144
	public static final String T_FV_4176_M = "For regular or C3 type of correction statement (addition of deductee detail record) no value should be provided for 'Last Total Tax deposited amount' \n";
	public static final String T_FV_4177_M = "Last Total Tax Deposited must be equal to Total Tax Deposited\n";
	public static final String T_FV_4178_M = "Invalid Book Entry/Cash Indicator. Allowed values are Y or N (in capital)  \n";  // new error added for fvu 2.144
	public static final String T_FV_4179_M = "For Form No 24Q, Book Entry/Cash Indicator must not be provided\n";
	public static final String T_FV_4180_M = "Book Entry/ Cash Indicator must not be provided \n";

	//	 public static final String	T_FV_4181_M	 = "If Transfer Voucher Number is not provided then Book Entry/Cash Indicator must be NULL or 'N' \n";

	public static final String T_FV_4182_M = "Employee Serial Number must not be provided\n";
	public static final String T_FV_4183_M = "Deductee/Party Code must not be provided\n";
	public static final String T_FV_4184_M = "Employee / Party PAN must be same as Last Employee / Party PAN  \n";
	public static final String T_FV_4185_M = "No. value should be provided \n";
	public static final String T_FV_4186_M = "Name of Employee/ Party must not be provided \n";
	//	public static final String T_FV_4187_M = "Invalid Value in the field 'Perquisite value of conveyance/car' or value not as per file format\n";  // new error added for fvu 2.144
	//	public static final String T_FV_4188_M = "For Transaction Type C5 or Deletion, 'Perquisite value of conveyance/car' must not be provided\n";
	//	public static final String T_FV_4189_M ="Invalid Value in the field 'Remuneration paid by employer for domestic and personal services provided to the employee' or value not as per file format\n";  // new error added for fvu 2.144
	//	public static final String T_FV_4190_M = "For Transaction Type C5 or Deletion, 'Remuneration paid by employer for domestic and personal services provided to the employee' must not be provided\n";
	//	public static final String T_FV_4191_M = "Invalid Value of 'Value of free or concessional passages on home leave and other traveling to the extent chargeable to tax'\n";
	//	public static final String T_FV_4192_M =
	//		"For Transaction Type C5 or Deletion, 'Value of free or concessional passages on home leave and other traveling to the extent chargeable to tax' must not be provided\n";
	//	public static final String T_FV_4193_M =
	//		"Invalid Value of 'Estimated value of any other benefit or amenity provided by the employer free of cost or at concessional rate not included in the preceding columns'\n";
	//	public static final String T_FV_4194_M =
	//		"For Transaction Type C5 or Deletion, 'Estimated value of any other benefit or amenity provided by the employer free of cost or at concessional rate not included in the preceding columns' must not be provided\n";
	//	public static final String T_FV_4195_M = "Invalid Value of 'Employer's contribution to recognised provident fund in excess of 12% of employee's salary' \n";
	//	public static final String T_FV_4196_M =
	//		"For Transaction Type C5 or Deletion, 'Employer's contribution to recognised provident fund in excess of 12% of employee's salary' must not be provided \n";
	//	public static final String T_FV_4197_M = "Invalid Value of 'Interest credited to the assessee's account in recognised PF Fund in excess of the rate fixed by central government' \n";
	//	public static final String T_FV_4198_M =
	//		"For Transaction Type C5 or Deletion, 'Interest credited to the assessee's account in recognised PF Fund in excess of the rate fixed by central government' must not be provided \n";
	//	public static final String T_FV_4199_M = "'Sum Total of Other Recoveries from Employee' is Filler field. Data must not be provided\n";

	//	 public static final String	T_FV_4200_M	 = "For Transfer Voucher, value of Book Entry/Cash Indicator must be 'Y' \n";

	//	public static final String T_FV_4201_M =
	//		"'Total Income Tax Payable' less than the Difference of 'Income Tax on Total Income' and 'Gross Total of-TOTAL Income Tax Rebate Under Section 88 field for all sections mentioned under Salary Details-Section 88 detail' \n";
	public static final String T_FV_4202_M =
		"'Net Income Tax payable(341+342+343-344)' not equal to 'Income Tax on total Income' + 'Surcharge' + 'Cess' - 'Income Tax Relief u/s 89 when salary etc is paid in arrears or advance'\n";
	//	public static final String T_FV_4203_M = "'Perk- Where accommodation is unfurnished' and 'Perk-Furnished-Value as if accommodation is unfurnished' Both cannot be greater than 0.00(zero)\n";
	//	public static final String T_FV_4204_M =
	//		"'Value of perquisite column(355-360) or column(359-360)' not equal to the Difference of 'Perk- Where accommodation is un furnished' - 'Rent, if any, paid by employee'\n";
	//	public static final String T_FV_4205_M =
	//		"'Value of perquisite column(355-360) or column(359-360)' not equal to the Difference of 'Perk-Furnished-Total(356+358)' - 'Rent, if any, paid by employee'\n";
	public static final String T_FV_4206_M = "'Cess' cannot be greater than 'Total Taxable Income (336-352)'\n"; //modified by puja for FVU 2.158
	public static final String T_FV_4207_M = "For Nil Challan , 'Total Tax Deposited' must be 0.00 (zero)\n";
	public static final String T_FV_4208_M = "For Nil Challan , 'Last Total Tax Deposited' must be 0.00 (zero)\n";
	public static final String T_FV_4209_M = "Total Tax Deposited Amount must not be provided \n";
	public static final String T_FV_4210_M = "Value Gross Total Income (351 + 352 + 354) must not be provided \n"; //modified by  puja for FVU 2.158
	public static final String T_FV_4211_M = "For regular statement, no value should be provided in the field 'mode of updation' at deductee detail record  \n";
	public static final String T_FV_4212_M = "'Date of Deposit' must be same as 'Date of Bank Challan No./Transfer Voucher No.' \n";
	public static final String T_FV_4213_M = "'Amount of Payment/Credited/Debited' must be greater than or equal to 'Total Income Tax deducted at source' \n";
	public static final String T_FV_4214_M = "'Income Tax on Total Income' must be less than or equal to 'Total Taxable Income (336-352)' \n"; //modified by  puja for FVU 2.158
	public static final String T_FV_4215_M = "'Surcharge' cannot be greater than 'Total Taxable Income (336-352)'\n";//modified by  puja for FVU 2.158
	
	//Old Error Msg Commented By AMI and new is Added	
	// public static final String T_FV_4216_M = "Valid PAN must be provided. \n";
	public static final String T_FV_4216_M = "Only structurally invalid PAN (i.e. PANINVALID, PANAPPLIED, PANNOTAVBL) can be corrected. \n";
	//  New Error Codes Added by Siddharth on 10/03/2006 for new Salary Detail File Format

	public static final String T_FV_4217_M = "Invalid category of employee. Allowed values are W / S / G/ O (in captial) \n";
	public static final String T_FV_4218_M = "For deletion of salary detail record, no value should be provided in the field 'Category of Employee' \n";
	public static final String T_FV_4219_M = "Invalid value provided for Surcharge Amount.\n";
	public static final String T_FV_4220_M = "For deletion of salary/ deductee detail record, no value should be provided in the field 'Surcharge Amount'\n";
	public static final String T_FV_4223_M = "Invalid value provided for Education Cess Amount.\n";
	public static final String T_FV_4224_M = "For deletion of salary/ deductee detail record, no value should be provided in the field 'Education Cess Amount' \n";
	public static final String T_FV_4225_M = "Invalid Total Amount of Tax Deducted at source for the whole year\n";
	public static final String T_FV_4226_M = "No value should be provided in case statement pertains prior to FY 2013-14 or in case correction statement if salary detail record is deleted.\n";
	public static final String T_FV_4227_M = "Invalid Shortfall in tax deduction(+)/Excess tax deduction(-)\n";
	public static final String T_FV_4228_M = "If salary detail record is deleted, no value should be provided.\n";
	public static final String T_FV_4242_M = "Value of shortfall in tax deduction(+)/Excess tax deduction(-) is not equal to Net Income Tax Payable - Total TDS for the whole year \n";
	

  //New Error Codes Added by Manvendra on 05/09/2007 for new structurally valid Pan count
	//public static final String T_FV_4243_M = "For Form 24Q, number of structurally valid PANs cannot be less than 90% of total deductee. \n" ;  // new error added for fvu 2.144
	//Error Code Discription Changed by Sourabh
	public static final String T_FV_4243_M = "For Form 24Q, number of  valid PANs cannot be less than 90% of total deductee.\n" ;  // new error added for fvu 2.144
    //public static final String T_FV_4244_M = "For Form 26Q & 27EQ, number of  valid PANs cannot be less than 70% of total deductee  \n" ;  // new error added for fvu 2.144
	public static final String T_FV_4244_M = "For Form 26Q & 27EQ, number of  valid PANs cannot be less than 70% of total deductee  \n" ;  // new error added for fvu 2.144

    //New Error Codes Added for New validaion at Remark Field :: 13-Feb-2008  :: Manvendra 
    public static final String T_FV_4245_M ="Value in No deduction/lower deduction as B is allowed only in section 194,194D,194EE, 194A, 193, 194DA, 194J and 192A.\n" ;  // new error added for fvu 2.144
   //New Error Code Added For validating Amount for valid PAN :: 15-Feb-2008  :: Manvendra
    public static final String T_FV_4246_M = "Amount of Payment/Credit/Debited  should not be 0.00 (zero) \n" ;  // new error added for fvu 2.144
   //New Error Code Added For validating TAX fields when remark1 is B :: 15-Feb-2008  :: Manvendra
   public static final String T_FV_4247_M = " TDS -Income Tax for the period must be 0.00 (zero) for No deduction/lower deduction  as 'B'  \n" ;  // new error added for fvu 2.144
   public static final String T_FV_4248_M = " TDS -Surcharge for the period must be 0.00 (zero) for No deduction/lower deduction as 'B'  \n" ;  // new error added for fvu 2.144
   public static final String T_FV_4249_M = " TDS -Cess must be 0.00 (zero) for No deduction/lower deduction as 'B'  \n" ;  // new error added for fvu 2.144
   public static final String T_FV_4250_M = " Total Income Tax Deducted at Source must be 0.00 (zero) for No deduction/lower deduction as 'B'  \n" ;  // new error added for fvu 2.144
   public static final String T_FV_4251_M = "Total Tax deposited must be 0.00 (zero) for No deduction/lower deduction as 'B'  \n" ;  // new error added for fvu 2.144
   
   public static final String T_FV_4252_M = " Date on which tax deducted  should be null for No deduction/lower deduction as 'B' \n" ;
   public static final String T_FV_4259_M = " Rate at which Tax deducted should be zero for No deduction/lower deduction as 'B' \n" ;
   //Error Discription Changed by sourabh
   
   //public static final String T_FV_4253_M = "For Form 24Q, number of structurally valid PANs in batch cannot be less than 95% of total deductee in batch  \n" ;  // new error added for fvu 2.144
   public static final String T_FV_4253_M = "For Form 24Q, number of  valid PANs in batch cannot be less than 95% of total deductee in batch  \n" ;  // new error added for fvu 2.144
   //public static final String T_FV_4254_M = "For 26Q/27EQ number of structurally valid PANs in batch cannot be less than 85% of total deductee in batch \n" ; // new error added for fvu 2.144
   public static final String T_FV_4254_M = "For Form 26Q & 27EQ, number of  valid PANs in batch cannot be less than 85% of total deductee in batch \n" ;  // new error added for fvu 2.144
   
   //------------
   public static final String T_FV_4255_M = " Total Income Tax Deducted at Source must be greater than 0.00 (zero), if no value specified in No deduction/lower deduction or value specified is A  \n" ; //new error added for fvu 2.144
   public static final String T_FV_4256_M = "Total Tax deposited must be greater than or equal to 0.00 (zero), if no value specified in No deduction/lower deduction or value specified is A \n" ;   // new error added for fvu 2.144
   public static final String T_FV_4257_M = "No value should be provided if tax is not deducted.  \n" ;
   public static final String T_FV_4258_M = "Rate at which Tax deducted should not be '0.00' (zero), if no value specified in No deduction/lower deduction or value specified is A \n" ;  // new error added for fvu 2.144  
   public static final String T_FV_4260_M = " Value should be provided for field 'Date of deduction', if tax deducted/ collected is greater than 0.00 \n" ;

   //---------------Added by Nahush for validating Deductor PAN against PAN of deductee.
   
   public static final String T_FV_4261_M = " Employer/ Deductor PAN quoted in the deductor details should not mentioned in the deductee details (Annexure I). \n";
   public static final String T_FV_4262_M = " Employer/ Deductor PAN quoted in the deductor details should not mentioned in the deductee details (Annexure II). \n";
   
   //Error Codes Added By AMI
   public static final String T_FV_4263_M = "PAN  for employee/ deductee details (Annexure I) should not be other than that of Individual. \n";
   public static final String T_FV_4264_M = "PAN  for employee/ salary details (Annexure II) should not be other than that of Individual. \n";
   //END
   
   //Added By AMI For FVU 3.0
   public static final String T_FV_4265_M = " Value in No deduction/lower deduction as T is allowed only in section 194C \n" ;
   public static final String T_FV_4266_M = "Deductee PAN is invalid. For invalid PAN, tax should be deducted at higher rate and relevant flag (i.e. remark 'C') for higher deduction should be mentioned in the field 'Remarks for higher/ lower/ no deduction'.  \n";  // new error added for fvu 2.144
   public static final String T_FV_4267_M = "Invalid PAN. For Lower/No deduction, 10 digit valid PAN should be provided. \n";  // new error added for fvu 2.144
   public static final String T_FV_4268_M = "For deduction of tax at higher rate, deducted amount should be greater than '0.00' (zero).  \n";  // new error added for fvu 2.144
   public static final String T_FV_4269_M = "Total income tax deducted and deposited must be zero ('0.00') in case no deduction on account of section 197A. \n";  // new error added for fvu 2.144
   public static final String T_FV_4270_M = "Invalid PAN. For no deduction 10 digit valid PAN should be provided. \n";
   public static final String T_FV_4271_M = "Invalid PAN. For no deduction, 10 digit valid PAN should be provided. \n";
   public static final String T_FV_4272_M = "Deletion of deductee record is not allowed where TDS/TCS is deducted/ collected on higher rate. \n" ;
   //Added by Abhishek
   public static final String T_FV_4273_M = "Updation of deductee deposited amount is not allowed where TDS/TCS is deducted/ collected on higher rate. \n" ;
   public static final String T_FV_4274_M = "Updation of deductee deducted amount is not allowed where TDS/TCS is deducted/ collected on higher rate. \n" ;
   public static final String T_FV_4275_M = "For correction if Last Employee/Party PAN Reference Number is not provided then Employee/Party PAN Reference Number must not be provided. \n" ;
   public static final String T_FV_4300_M = "Date of Tax deducted does not pertain to the quarter for which the TDS/TCS statement is prepared. \n" ;
   //END
   
   //Added for FVU 2.134 by Shalin
   public static final String T_FV_4301_M = "No Value to be specified. \n" ;
   
 //Added for FVU 2.136 by Shalin
   public static final String T_FV_4302_M = "Invalid value under remarks field - Allowed values are 'A' & 'B'.\n" ;  // new error added for fvu 2.144
   
 //Added by Shalin for FVU 2.137
   public static final String T_FV_4303_M = "Valid Date on which tax Deducted / Collected must be provided. Date prior to relevant quarter is not allowed.\n" ;
   
 //Added by Shalin for FVU 2.140
   public static final String T_FV_4304_M = "Remark 'C' can be raised only for PAN quoted in statement is structurally invalid.\n" ;
 //Added by Shalin for FVU 2.143
   public static final String T_FV_4305_M = "Remark 'T' is applicable only for Form 26Q under section code 194C from FY 2009-10 (Q3) onwards.\n" ;
	public static final String T_FV_4306_M = "Invalid Taxable Amount on which tax is deducted by the current employer \n";
	public static final String T_FV_4307_M = "Incorrect value, total tax deducted amount should be equal to total tax deposited.\n";
	public static final String T_FV_4308_M = "In case of C5 and C3 type of correction made for the same deductee record, last PAN of the deductee in C3 type of correction should be same as current PAN of the deductee. Also it should be same at all three places in C3 and C5 corrections.\n";
	
// Added for FVU 5.2 by Priya
	
	public static final String T_FV_4333_M = "Invalid value. Please provide valid value under field Email ID of deductee'.\n";
	public static final String T_FV_4334_M = "Invalid value. Please provide valid value under field Contact number of deductee'.\n";
	public static final String T_FV_4335_M = "Invalid value. Please provide valid value under field Address of deductee in country of residence'.\n";
	public static final String T_FV_4336_M = "Invalid value. Please provide valid value under field Tax Identification Number / Unique identification number of deductee'.\n";
	
	// End ::  Added for FVU 5.2 by Priya
	
	// Added for FVU 5.4  by shruti end
	public static final String T_FV_4337_M = "Update in PAN of Employee/Deductee/Party is not allowed as 26A has been submitted for this PAN.\n";
	public static final String T_FV_4338_M = "Update in Total Income Tax Deducted at Source is not allowed as 26A has been submitted for this PAN.\n";
	public static final String T_FV_4339_M = "Update in PAN of Employee is not allowed as 26A has been submitted for this PAN.\n";		
	public static final String T_FV_4340_M = "Update/Delete for this Salary detail record is not allowed as 26A has been submitted for this PAN.\n";
	// Added for FVU 5.4  by shruti start
	
   //////  Batch Header Error Code   ///////////

	public static final String T_FV_2001_C = "T-FV-2001";
	public static final String T_FV_2002_C = "T-FV-2002";
	public static final String T_FV_2003_C = "T-FV-2003";
	public static final String T_FV_2004_C = "T-FV-2004";
	public static final String T_FV_2005_C = "T-FV-2005";
	public static final String T_FV_2006_C = "T-FV-2006";
	public static final String T_FV_2007_C = "T-FV-2007";
	public static final String T_FV_2008_C = "T-FV-2008";
	public static final String T_FV_2009_C = "T-FV-2009";
	public static final String T_FV_2010_C = "T-FV-2010";
	public static final String T_FV_2011_C = "T-FV-2011";
	public static final String T_FV_2012_C = "T-FV-2012";
	public static final String T_FV_2013_C = "T-FV-2013";
	public static final String T_FV_2014_C = "T-FV-2014";
	public static final String T_FV_2015_C = "T-FV-2015";
	public static final String T_FV_2016_C = "T-FV-2016";
	public static final String T_FV_2017_C = "T-FV-2017";
	public static final String T_FV_2018_C = "T-FV-2018";
	public static final String T_FV_2019_C = "T-FV-2019";
	public static final String T_FV_2020_C = "T-FV-2020";
	public static final String T_FV_2021_C = "T-FV-2021";
	public static final String T_FV_2022_C = "T-FV-2022";
	public static final String T_FV_2023_C = "T-FV-2023";
	public static final String T_FV_2024_C = "T-FV-2024";
	public static final String T_FV_2025_C = "T-FV-2025";
	public static final String T_FV_2026_C = "T-FV-2026";
	public static final String T_FV_2027_C = "T-FV-2027";
	public static final String T_FV_2028_C = "T-FV-2028";
	public static final String T_FV_2029_C = "T-FV-2029";
	public static final String T_FV_2030_C = "T-FV-2030";
	public static final String T_FV_2031_C = "T-FV-2031";
	public static final String T_FV_2032_C = "T-FV-2032";
	public static final String T_FV_2033_C = "T-FV-2033";
	public static final String T_FV_2034_C = "T-FV-2034";
	public static final String T_FV_2035_C = "T-FV-2035";
	public static final String T_FV_2036_C = "T-FV-2036";
	public static final String T_FV_2037_C = "T-FV-2037";
	public static final String T_FV_2038_C = "T-FV-2038";
	public static final String T_FV_2039_C = "T-FV-2039";
	public static final String T_FV_2040_C = "T-FV-2040";
	public static final String T_FV_2041_C = "T-FV-2041";
	public static final String T_FV_2042_C = "T-FV-2042";
	public static final String T_FV_2043_C = "T-FV-2043";
	public static final String T_FV_2044_C = "T-FV-2044";
	public static final String T_FV_2045_C = "T-FV-2045";
	public static final String T_FV_2046_C = "T-FV-2046";
	public static final String T_FV_2047_C = "T-FV-2047";
	public static final String T_FV_2048_C = "T-FV-2048";
	public static final String T_FV_2049_C = "T-FV-2049";
	public static final String T_FV_2050_C = "T-FV-2050";
	public static final String T_FV_2051_C = "T-FV-2051";
	public static final String T_FV_2052_C = "T-FV-2052";
	public static final String T_FV_2053_C = "T-FV-2053";
	public static final String T_FV_2054_C = "T-FV-2054";
	public static final String T_FV_2055_C = "T-FV-2055";
	public static final String T_FV_2056_C = "T-FV-2056";
	public static final String T_FV_2057_C = "T-FV-2057";
	public static final String T_FV_2058_C = "T-FV-2058";
	public static final String T_FV_2059_C = "T-FV-2059";
	public static final String T_FV_2060_C = "T-FV-2060";
	public static final String T_FV_2061_C = "T-FV-2061";
	public static final String T_FV_2062_C = "T-FV-2062";
	public static final String T_FV_2063_C = "T-FV-2063";
	public static final String T_FV_2064_C = "T-FV-2064";
	public static final String T_FV_2065_C = "T-FV-2065";
	public static final String T_FV_2066_C = "T-FV-2066";
	public static final String T_FV_2067_C = "T-FV-2067";
	public static final String T_FV_2068_C = "T-FV-2068";
	public static final String T_FV_2069_C = "T-FV-2069";
	public static final String T_FV_2070_C = "T-FV-2070";
	public static final String T_FV_2071_C = "T-FV-2071";
	public static final String T_FV_2072_C = "T-FV-2072";
	public static final String T_FV_2073_C = "T-FV-2073";
	public static final String T_FV_2074_C = "T-FV-2074";
	public static final String T_FV_2075_C = "T-FV-2075";
	public static final String T_FV_2076_C = "T-FV-2076";
	public static final String T_FV_2077_C = "T-FV-2077";
	public static final String T_FV_2078_C = "T-FV-2078";
	public static final String T_FV_2079_C = "T-FV-2079";
	public static final String T_FV_2080_C = "T-FV-2080";
	public static final String T_FV_2081_C = "T-FV-2081";
	public static final String T_FV_2082_C = "T-FV-2082";
	public static final String T_FV_2083_C = "T-FV-2083";
	public static final String T_FV_2084_C = "T-FV-2084";
	public static final String T_FV_2085_C = "T-FV-2085";
	public static final String T_FV_2086_C = "T-FV-2086";
	public static final String T_FV_2087_C = "T-FV-2087";
	public static final String T_FV_2088_C = "T-FV-2088";
	public static final String T_FV_2089_C = "T-FV-2089";
	public static final String T_FV_2090_C = "T-FV-2090";
	public static final String T_FV_2091_C = "T-FV-2091";
	public static final String T_FV_2092_C = "T-FV-2092";
	public static final String T_FV_2093_C = "T-FV-2093";
	public static final String T_FV_2094_C = "T-FV-2094";
	public static final String T_FV_2095_C = "T-FV-2095";
	public static final String T_FV_2096_C = "T-FV-2096";
	public static final String T_FV_2097_C = "T-FV-2097";
	public static final String T_FV_2098_C = "T-FV-2098";
	public static final String T_FV_2099_C = "T-FV-2099";
	public static final String T_FV_2100_C = "T-FV-2100";
	public static final String T_FV_2101_C = "T-FV-2101";
	public static final String T_FV_2102_C = "T-FV-2102";
	public static final String T_FV_2103_C = "T-FV-2103";
	public static final String T_FV_2104_C = "T-FV-2104";
	public static final String T_FV_2105_C = "T-FV-2105";
	public static final String T_FV_2106_C = "T-FV-2106";
	public static final String T_FV_2107_C = "T-FV-2107";
	public static final String T_FV_2108_C = "T-FV-2108";
	public static final String T_FV_2109_C = "T-FV-2109";
	public static final String T_FV_2110_C = "T-FV-2110";
	public static final String T_FV_2111_C = "T-FV-2111";
	public static final String T_FV_2112_C = "T-FV-2112";
	public static final String T_FV_2113_C = "T-FV-2113";
	public static final String T_FV_2114_C = "T-FV-2114";
	public static final String T_FV_2115_C = "T-FV-2115";
	public static final String T_FV_2116_C = "T-FV-2116";
	public static final String T_FV_2117_C = "T-FV-2117";
	public static final String T_FV_2118_C = "T-FV-2118";
	public static final String T_FV_2119_C = "T-FV-2119";
	public static final String T_FV_2120_C = "T-FV-2120";
	public static final String T_FV_2121_C = "T-FV-2121";
	public static final String T_FV_2122_C = "T-FV-2122";
	public static final String T_FV_2123_C = "T-FV-2123";
	public static final String T_FV_2124_C = "T-FV-2124";
	public static final String T_FV_2125_C = "T-FV-2125";
	public static final String T_FV_2126_C = "T-FV-2126";
	public static final String T_FV_2127_C = "T-FV-2127";
	public static final String T_FV_2128_C = "T-FV-2128";
	public static final String T_FV_2129_C = "T-FV-2129";
	public static final String T_FV_2130_C = "T-FV-2130";
	public static final String T_FV_2131_C = "T-FV-2131";
	public static final String T_FV_2132_C = "T-FV-2132";
	public static final String T_FV_2133_C = "T-FV-2133";
	public static final String T_FV_2134_C = "T-FV-2134";
	public static final String T_FV_2135_C = "T-FV-2135";
	public static final String T_FV_2136_C = "T-FV-2136";
	public static final String T_FV_2137_C = "T-FV-2137";
	public static final String T_FV_2138_C = "T-FV-2138";
	public static final String T_FV_2139_C = "T-FV-2139";
	public static final String T_FV_2140_C = "T-FV-2140";
	public static final String T_FV_2141_C = "T-FV-2141";
	public static final String T_FV_2142_C = "T-FV-2142";
	public static final String T_FV_2143_C = "T-FV-2143";
	public static final String T_FV_2144_C = "T-FV-2144";
	public static final String T_FV_2145_C = "T-FV-2145";
	public static final String T_FV_2146_C = "T-FV-2146";
	public static final String T_FV_2147_C = "T-FV-2147";
	public static final String T_FV_2148_C = "T-FV-2148";
	public static final String T_FV_2149_C = "T-FV-2149";
	public static final String T_FV_2150_C = "T-FV-2150";
	public static final String T_FV_2151_C = "T-FV-2151";
	public static final String T_FV_2152_C = "T-FV-2152";
	public static final String T_FV_2153_C = "T-FV-2153";
	public static final String T_FV_2154_C = "T-FV-2154";
	public static final String T_FV_2155_C = "T-FV-2155";
	public static final String T_FV_2156_C = "T-FV-2156";
	public static final String T_FV_2157_C = "T-FV-2157";
	public static final String T_FV_2158_C = "T-FV-2158";
	public static final String T_FV_2159_C = "T-FV-2159";
	public static final String T_FV_2160_C = "T-FV-2160";
	public static final String T_FV_2161_C = "T-FV-2161";
	public static final String T_FV_2162_C = "T-FV-2162";
	public static final String T_FV_2163_C = "T-FV-2163";
	
	//Error Messages Added by AMI
	public static final String T_FV_2164_C = "T-FV-2164";
	public static final String T_FV_2165_C = "T-FV-2165";
	public static final String T_FV_2166_C = "T-FV-2166";
	public static final String T_FV_2167_C = "T-FV-2167";
	public static final String T_FV_2168_C = "T-FV-2168";
	public static final String T_FV_2169_C = "T-FV-2169";
	public static final String T_FV_2170_C = "T-FV-2170";
	public static final String T_FV_2171_C = "T-FV-2171";
	public static final String T_FV_2172_C = "T-FV-2172";
	public static final String T_FV_2173_C = "T-FV-2173";
	public static final String T_FV_2174_C = "T-FV-2174";
	public static final String T_FV_2175_C = "T-FV-2175";
	public static final String T_FV_2176_C = "T-FV-2176";
	public static final String T_FV_2177_C = "T-FV-2177";
	public static final String T_FV_2178_C = "T-FV-2178";
	public static final String T_FV_2179_C = "T-FV-2179";
	public static final String T_FV_2180_C = "T-FV-2180";
	public static final String T_FV_2181_C = "T-FV-2181";
	public static final String T_FV_2182_C = "T-FV-2182";
	public static final String T_FV_2183_C = "T-FV-2183";
	public static final String T_FV_2184_C = "T-FV-2184";
	public static final String T_FV_2185_C = "T-FV-2185";
	public static final String T_FV_2186_C = "T-FV-2186";
	public static final String T_FV_2187_C = "T-FV-2187";
	public static final String T_FV_2188_C = "T-FV-2188";
	public static final String T_FV_2189_C = "T-FV-2189";
	public static final String T_FV_2190_C = "T-FV-2190";
	public static final String T_FV_2191_C = "T-FV-2191";
	public static final String T_FV_2192_C = "T-FV-2192";
	public static final String T_FV_2193_C = "T-FV-2193";
	public static final String T_FV_2194_C = "T-FV-2194";
	public static final String T_FV_2195_C = "T-FV-2195";
	public static final String T_FV_2196_C = "T-FV-2196";
	
	//	Added By SRIKANTH For FVU 2.126 X-Files Processing Utility
	public static final String T_FV_2197_C = "T-FV-2197"; 
	public static final String T_FV_2198_C = "T-FV-2198";
	// public static final String T_FV_2196_C = "T-FV-2196";
	//END

	//Error Message Added By AMI for FVU 3.0
	public static final String T_FV_2199_C = "T-FV-2199";
	public static final String T_FV_2200_C = "T-FV-2200";
	public static final String T_FV_2201_C = "T-FV-2201";
	public static final String T_FV_2202_C = "T-FV-2202";
	public static final String T_FV_2203_C = "T-FV-2203";
	public static final String T_FV_2204_C = "T-FV-2204";
	public static final String T_FV_2205_C = "T-FV-2205";
	public static final String T_FV_2206_C = "T-FV-2206";
	public static final String T_FV_2207_C = "T-FV-2207";
	public static final String T_FV_2208_C = "T-FV-2208";
	public static final String T_FV_2215_C = "T-FV-2215";
	//Added by Abhishek
	public static final String T_FV_2209_C = "T-FV-2209";
	public static final String T_FV_2210_C = "T-FV-2210";
	public static final String T_FV_2211_C = "T-FV-2211";
	public static final String T_FV_2212_C = "T-FV-2212";
	public static final String T_FV_2213_C = "T-FV-2213";
	//END by Abhishek
	//Added By Abhinandan For FVU 2.129
	public static final String T_FV_2214_C = "T-FV-2214";
	
	//Added by Shalin for FVU 2.134
	public static final String T_FV_2216_C = "T-FV-2216";
	public static final String T_FV_2217_C = "T-FV-2217";
	public static final String T_FV_2218_C = "T-FV-2218";
	public static final String T_FV_2219_C = "T-FV-2219";
	
	//Added by Shalin for FVU 2.136
	public static final String T_FV_2220_C = "T-FV-2220";
	public static final String T_FV_2221_C = "T-FV-2221";
	public static final String T_FV_2222_C = "T-FV-2222";
	
	//Added for FVU 2.142
	public static final String T_FV_2235_C = "T-FV-2235";
	
	//Added for FVU 2.151
	public static final String T_FV_2236_C = "T-FV-2236";
	
	//Added for FVU 2.152
	public static final String T_FV_2237_C = "T-FV-2237";
	
	
	//END
	///  Error Messages Batch Header /////////

	public static final String T_FV_2001_M = " 'Invalid Batch Header (BH) Record Length' i.e., number of fields in the batch header are not as per file format.\n";  // new error added for fvu 2.144 
	public static final String T_FV_2002_M = "Line number not in Sequence \n";
	public static final String T_FV_2003_M = "Invalid Line number \n";
	public static final String T_FV_2004_M = "Value must be 'BH' (Batch Header) in capital letters \n";  // new error added for fvu 2.144
	public static final String T_FV_2005_M = "Invalid Batch number\n";
	public static final String T_FV_2006_M = "Invalid Count Of Deductee\n";
	public static final String T_FV_2007_M = "Invalid Transaction Type\n";
	public static final String T_FV_2008_M = "Transaction Type is mandatory in case of Correction File\n";  // new error added for fvu 2.144
	public static final String T_FV_2009_M = "Transaction Type should not be provided in case of Regular File\n";  // new error added for fvu 2.144
	public static final String T_FV_2010_M = "In case of Regular Statement, No value should be quoted in the field 'Provisional Receipt Number / Token Number. \n";  // new error added for fvu 2.144
	public static final String T_FV_2011_M = "In case of Correction Statement, value quoted in the field 'Original Provisional Receipt No./ Original Token Number.' and 'Provisional Receipt Number/ Token Number' should not be same.\n";  // new error added for fvu 2.144
	public static final String T_FV_2012_M = "In case of Regular statement, no value should be quoted in the field 'Previous Provisional Receipt Number/ Token Number.\n"; // new error added for fvu 2.144
	public static final String T_FV_2013_M = "In case of Correction Statement, value should be quoted in the field 'Original Provisional Receipt Number/ Token Numbwer \n";  // new error added for fvu 2.144
	public static final String T_FV_2014_M = "Invalid value. Provide valid value in the the field 'Previous Provisional Receipt/ Token No.' \n"; // new error added for fvu2.144
	public static final String T_FV_2015_M = " In case of Correction Statement, Previous Provisional Receipt Number / Token Number should be provided \n";  // new error added for fvu 2.144
	public static final String T_FV_2016_M = "In case of Correction Statement, value quoted in the field 'Previous Provisional Receipt Number/ Token Number' and 'Provisional Receipt Number/ Token Number.' should not be same\n";  // new error added for fvu 2.144
	public static final String T_FV_2017_M = "If TAN is not updated, then value mentioned in the field 'Last TAN' should be same as that of the TAN mentioned in the File Header \n";
	public static final String T_FV_2018_M = "Provisional Receipt Number / Token Number provided is not valid. \n";  // new error added for fvu 2.144
	public static final String T_FV_2019_M = "If the statement is uploaded by TIN-FC then Provisional Receipt/ Token No. should be provided. \n";
	public static final String T_FV_2020_M = "If the statement is uploaded by deductor through Online Mode, then Provisional Receipt Number/ Token Number should not be provided.\n";  // new error added for fvu 2.144

	public static final String T_FV_2021_M = "In the same file, 'Batch Cancellation' should not be clubbed with other Correction types\n";

	public static final String T_FV_2022_M = "Provisional Receipt date/Token Number Date provided is not valid.  \n";  // new error added for fvu 2.144
	public static final String T_FV_2023_M = "Provisional Receipt Date/Token Number Date should not be provided for statement uploaded through Online Mode.  \n";  // new error added for fvu 2.144
	public static final String T_FV_2024_M = "Invalid Last TAN of Deductor/Employer/Collector  \n";
	public static final String T_FV_2025_M = "In case of Regular File, Last TAN of Deductor/Employer/Collector must not be provided.\n";  // new error added for fvu 2.144
	public static final String T_FV_2026_M = "In case of Correction File, Last TAN of Deductor/Employer/Collector is mandatory  \n";  // new error added for fvu 2.144
	public static final String T_FV_2027_M = "Invalid TAN of Deductor/Employer/Collector  \n";
	public static final String T_FV_2028_M = "TAN of Deductor/Employer/Collector is mandatory \n";
	public static final String T_FV_2029_M = "Data must not be provided \n";
	public static final String T_FV_2030_M = "Invalid PAN of Employer/Deductor/Collector \n";
	public static final String T_FV_2031_M = "Invalid TDS Circle where annual return/ statement under section 206	\n";
	public static final String T_FV_2032_M = "Valid Assessment Year must be provided \n";
	public static final String T_FV_2033_M = "Valid Financial Year must be provided \n";
	public static final String T_FV_2034_M = "Invalid Assessment Year/ Financial Year \n";
	public static final String T_FV_2035_M = "Valid Name of Employer / Deductor / Collector must be provided \n";  // new error added for fvu 2.144
	public static final String T_FV_2036_M = "Valid Employer's / Deductor's / Collector's Address1 must be provided  \n";  // new error added for fvu 2.144
	public static final String T_FV_2037_M = "Invalid Employer's / Deductor's / Collector's Address2\n";   // new error added for fvu 2.144
	public static final String T_FV_2038_M = "Invalid Employer's /Deductor's / Collector's Address3 \n"; // new error added for fvu 2.144
	public static final String T_FV_2039_M = "Invalid Employer's /Deductor's / Collector's Address4 \n";  // new error added for fvu 2.144
	public static final String T_FV_2040_M = "Invalid Employer's /Deductor's / Collector's Address5 \n";  // new error added for fvu 2.144
	public static final String T_FV_2041_M = "Invalid Employer's / Deductor's / Collector's Address - State \n";  // new error added for fvu 2.144
	public static final String T_FV_2042_M = "Invalid Employer's / Deductor's / Collector's Address - PIN Code \n";  // new error added for fvu 2.144
	public static final String T_FV_2043_M = "Valid Address Change Indicator of Employer / Deductor / Collector must be provided  \n"; // new error added for fvu 2.144

	public static final String T_FV_2044_M = "Invalid Financial Year. Financial Year prior to 2005-06 is not allowed\n";

	public static final String T_FV_2045_M = "Invalid Responsible Person's Designation \n";
	public static final String T_FV_2046_M = "Invalid Responsible Person's  Address1 \n";
	public static final String T_FV_2047_M = "Invalid Responsible Person's  Address2 \n";
	public static final String T_FV_2048_M = "Invalid Responsible Person's  Address3 \n";
	public static final String T_FV_2049_M = "Invalid Responsible Person's  Address4 \n";
	public static final String T_FV_2050_M = "Invalid Responsible Person's  Address5 \n";
	public static final String T_FV_2051_M = "Invalid Responsible Person's State\n";
	public static final String T_FV_2052_M = "Invalid Responsible Person's PIN Code \n";
	//Chnaged by Abhishek
	//public static final String T_FV_2053_M = ""Invalid Responsible Person's Email Id  \n";  // new error added for fvu 2.144
	public static final String T_FV_2053_M = "Invalid value under field 'Deductor / Collector e-mail id'. \n";  // new error added for fvu 2.144
	public static final String T_FV_2054_M = "Invalid Remark \n";
	//changed by Abhishek
	//public static final String T_FV_2055_M = "Invalid Responsible Person's STD Code	 \n";  // new error added for fvu 2.144
	public static final String T_FV_2055_M = "Provide valid value under field 'STD code' \n";  // new error added for fvu 2.144
	//public static final String T_FV_2056_M = "Invalid Responsible Person's Telephone number  \n";  // new error added for fvu 2.144
	public static final String T_FV_2056_M = "Provide valid value under field 'Telephone no. of deductor/collector' \n";  // new error added for fvu 2.144
	public static final String T_FV_2057_M = "Invalid Address Change Indicator of Responsible Person	\n";  // new error added for fvu 2.144
	public static final String T_FV_2058_M = "For File Type TC1 and TC9 Form Type should be 27EQ \n";

	public static final String T_FV_2059_M = "'TAN of Employer/Deductor/Collector' and 'Last TAN of Employer/Deductor/Collector' must be same  \n";  // new error added for fvu 2.144

	public static final String T_FV_2060_M = "Invalid number of Batch record\n";
	public static final String T_FV_2061_M = "Mismatch between number of Batches Specified in File Header Record and number of Batches present in File\n";
	public static final String T_FV_2062_M = "Invalid Batch Record type, only Batch Records allowed for Cancellation File\n";
	public static final String T_FV_2063_M = "Valid Count of Challan/Transfer Voucher Records must be provided \n";
	public static final String T_FV_2064_M = "Form number is mandatory\n";
	public static final String T_FV_2065_M = "For File Type NS1, Form Number should be 26Q or 27Q  \n";  // new error added for fvu 2.144
	public static final String T_FV_2066_M = "Only batch details are to be provided \n";
	public static final String T_FV_2067_M = "For Correction in Deductor Detail and Challan Detail in correction File only Batches and challan are expected \n";
	public static final String T_FV_2068_M = "Invalid Batch Updation Indicator\n";
	public static final String T_FV_2069_M = "Batch Updation Indicator is Mandatory \n";

	public static final String T_FV_2070_M = "Batch Updation Indicator must not be provided \n";

	public static final String T_FV_2071_M = "No Value should be provided in Change of Address of Deductor/Collector since last Return \n";
	public static final String T_FV_2072_M = "No value must be provided in change of Address of Responsible person since last Return'\n";
	public static final String T_FV_2073_M = "TAN of Employer/ Deductor/ Collector must not be provided \n";

	public static final String T_FV_2074_M = "If there is no update in Deductor details, Phone No. of Person Responsible for Deduction must not be provided.\n";
	public static final String T_FV_2075_M =
		"If there is no update in Deductor details, no value should be provided in the field 'Change of Address since last Return of Person Responsible for Deduction' \n";

	public static final String T_FV_2076_M = "Invalid Deductor / Collector category. Refer file format for allowed values of Deductor/ Collector category.\n";   // new error added for fvu 2.144 //Change by AMI
	public static final String T_FV_2077_M = "Deductor / Collector type is mandatory \n";  // new error added for fvu 2.144  //Change by AMI
	public static final String T_FV_2078_M = "If there is no update in Deductor details, email Id of Deductor/ Collector must not be provided \n";
	public static final String T_FV_2079_M = "Valid Name of Responsible Person must be provided \n";
	public static final String T_FV_2080_M = "Person Responsible Address1 is mandatory\n";
	public static final String T_FV_2081_M = "For Regular File and Correction in Deductor detail in Correction File, Address 1 is mandatory  \n";  // new error added for fvu 2.144
	public static final String T_FV_2082_M = "For Regular/Correction statement or if there is update in Deductor/ Collector details state Code is mandatory. \n"; //edited for fvu 2.152
	public static final String T_FV_2083_M = "For Regular statement or if there is update in Deductor/ Collector details PIN Code is mandatory.\n";
	public static final String T_FV_2084_M = "Deductor/Collector Address Change Indicator is mandatory \n";
	public static final String T_FV_2085_M = "For Paper Return,Only allowed value for Deductor type is 'O'\n";
	public static final String T_FV_2086_M = "Responsible Person's State is mandatory	\n";  // new error added for fvu 2.144
	public static final String T_FV_2087_M = "For Paper Return Uploaded by TFC and Transaction Type R1, Original RRR Number is Mandatory\n";
	public static final String T_FV_2088_M = "Responsible Person's PIN Code is mandatory \n";  // new error added for fvu 2.144
	public static final String T_FV_2089_M = "Invalid value of batch total of - Gross Total Income as per salary detail \n";
	public static final String T_FV_2090_M = "Gross Total Income as per Salary details should be provided only for Form no. 24Q - Q4 \n";
	public static final String T_FV_2091_M = "Batch Total of - Gross Total Income as per salary detail must not be provided \n";
	public static final String T_FV_2092_M = "'Batch Total of - Gross Total Income as per Salary Detail' at Batch Record is not equal to summation of 'Gross Total Income' of Salary Detail'\n";  // new error added for fvu 2.144
	public static final String T_FV_2093_M = "'Batch Total of-Gross Total Income as per Salary Detail' must be equal to 0.00 when 'Count of Salary Details Records' is 0 \n";
	public static final String T_FV_2094_M = "Person Responsible Address Change is mandatory\n";
	public static final String T_FV_2095_M = "Correction type 'Y1' is not allowed for e-TDS/TCS statement. \n";
	public static final String T_FV_2096_M = "Invalid value provided in the field total TDS/TCS amount as per the challan. Value should be the summation of total TDS/TCS in the statement \n";
	public static final String T_FV_2097_M = "Count of Challan/Transfer voucher Records in Batch Header does not match with actual no. of Challan/Transfer Voucher No.  \n";  // new error added for fvu 2.144
	public static final String T_FV_2098_M = "Transaction Type Y1 is allowed only for Uploader type T \n";
	public static final String T_FV_2099_M = "Invalid Form number\n";
	public static final String T_FV_2100_M = "For File Type SL1, Form Number should be 24Q \n";  // new error added for fvu 2.144
	public static final String T_FV_2101_M = "Name of Deductor / Collector must be provided \n";

	public static final String T_FV_2102_M = "If there is no update in deductor/collector details then value for 'Address 1' should not be provided.\n";

	public static final String T_FV_2103_M = "For statement uploaded by TIN-FC, value should be provided for 'Provisional Receipt date'\n";
	public static final String T_FV_2104_M = "Valid 15 digit numberic value should be provided under field 'Provisional Receipt/ Token No.' \n";  // new error added for fvu 2.144
	public static final String T_FV_2105_M = "If there is no update in deductor/collector details then value for 'Address 2' should not be provided. \n";
	public static final String T_FV_2106_M = "For Cancellation, C4, C5, C9, Y, Y1, Z or If Batch Updation Indicator is '0', Employer/Deductor/Collector Address-3 must not be provided.\n";
	public static final String T_FV_2107_M = "If there is no update in deductor/collector details then value for 'Address 4' should not be provided.  \n";
	public static final String T_FV_2108_M = "If there is no update in deductor/collector details then value for 'Address 5' should not be provided. \n";
	public static final String T_FV_2109_M = "If there is no update in deductor/collector details then value for state code should not be provided.\n";
	public static final String T_FV_2110_M = "If there is no update in deductor/collector details then value for PIN code should not be provided. \n";
	// ** ADD **
	public static final String T_FV_2111_M =
		"If there is no update in deductor/collector details then value for Change in address indicator should not be provided. \n";

	public static final String T_FV_2112_M = "TAN of Deductor at Batch not equal to TAN of Deductor at File Header.\n";
	public static final String T_FV_2113_M = "If there is no update in deductor/collector details then no value should be provided in the field  'Name of reponsible person' \n";
	public static final String T_FV_2114_M = "If there is no update in deductor/collector details then no value should be provided in the field  'Designation of reponsible person' \n";
	public static final String T_FV_2115_M = "If there is no update in deductor/collector details then no value should be provided in the field 'Address 1' of Responsible person\n";
	public static final String T_FV_2116_M = "If there is no update in deductor/collector details then no value should be provided in the field 'Address 2' of Responsible person\n";
	public static final String T_FV_2117_M = "If there is no update in deductor/collector details then no value should be provided in the field 'Address 3' of Responsible person\n";
	public static final String T_FV_2118_M = "If there is no update in deductor/collector details then no value should be provided in the field 'Address 4' of Responsible person\n";
	public static final String T_FV_2119_M = "If there is no update in deductor/collector details then no value should be provided in the field 'Address 5' of Responsible person\n";
	public static final String T_FV_2120_M = "If there is no update in deductor/collector details then value for State code in address of Responsible person should not be provided.\n";
	public static final String T_FV_2121_M = "If there is no update in deductor/collector details then value for PIN code in address of Responsible person should not be provided.\n";
	public static final String T_FV_2122_M = "If there is no update in deductor/collector details, then value for e-mail ID of Responsible person should not be provided.\n";  // new error added for fvu 2.144
	public static final String T_FV_2123_M = "If there is no update in Deductor Detail, Remark must not be provided \n";  // new error added for fvu 2.144
	public static final String T_FV_2124_M = "If there is no update in deductor/collector details then value for STD code of Responsible person should not be provided.\n";
	public static final String T_FV_2125_M =
		"If there is no Updation in Deductor Detail, TDS Circle where annual return/ statement under section 206 must not be provided \n";
	public static final String T_FV_2126_M = "Invalid Record\n";
	public static final String T_FV_2127_M = "Invalid count of salary detail record \n";
	public static final String T_FV_2128_M = "TDS Circle where annual return/ statement under section 206 must be provided only for Form 24Q \n";
	public static final String T_FV_2129_M = "Mismatch between count of Salary Details in Batch Header (i.e. BH) and actual number of Salary Details in the Batch. \n";  // new error added for fvu 2.144
	public static final String T_FV_2130_M = "In Forms 26Q, 27Q & 27EQ, type of correction allowed are C1 (Deductor Details), C2 (Challan details), C3 (Deductee/ Party Detail), C5 (PAN Updation) and C9 (Addition of Challan and Deductee Details). \n";  // new error added for fvu 2.144
	public static final String T_FV_2131_M = "Count of Challan must not be provided \n";
	public static final String T_FV_2132_M = "Invalid value under quarter details. Allowed values for quarter are Q1, Q2, Q3 & Q4.\n"; // new error added for fvu 2.144
	public static final String T_FV_2133_M = "For Form 24Q - Quarter Q4, SD records are mandatory, so count of salary statement records must be greater than 0 (zero) \n";  // new error added for fvu 2.144
	public static final String T_FV_2134_M = "Gross TDS/TCS Total as per challan must not be provided \n";
	public static final String T_FV_2135_M = "Count of salary statement records must not be provided \n";
	public static final String T_FV_2136_M = "For R1 type of correction statement, Provisional Receipt/ Token No. of original statement and R1 statement should not be same.\n";
	public static final String T_FV_2137_M = "Repeated RRR number \n";
	public static final String T_FV_2138_M = "Count of salary statement records must be greater than 0 (zero) \n";
	public static final String T_FV_2139_M = "For Mode 'D', salary detail are mandatory. \n";  // new error added for fvu 2.144
	public static final String T_FV_2140_M = "Count of salary statement records must be provided only for Form 24Q \n";

	public static final String T_FV_2141_M = "If there is no update in deductor/collector details then PAN of deductor/ collector should not be provided.\n";

	public static final String T_FV_2142_M = "Salary detail (i.e. Annexure II details) are not allowed for 1st, 2nd, 3rd Quarter of Form 24Q and for Form 26Q, 27Q, 27EQ. \n";  // new error added for fvu 2.144
	public static final String T_FV_2143_M = "Paper based returns not allowed for Form No 24Q, Q4.\n";
	public static final String T_FV_2144_M = "Provide valid e-mail id \n";
	//public static final String T_FV_2144_M = "Invalid value under field 'Deductor / Collector e-mail id'. \n";  // new error added for fvu 2.144
	public static final String T_FV_2145_M = "Invalid value under field 'Deductor / Collector Branch/Division'. \n";  // new error added for fvu 2.144

	public static final String T_FV_2146_M = "If there is no update in Deductor details, Branch/ Division of Deductor/ Collector must not be provided. \n";

    //Changed by Abhishek
   	//public static final String T_FV_2147_M = "Invalid value under field 'Deductor / Collector STD Code' \n";  // new error added for fvu 2.144
   	public static final String T_FV_2147_M = "Provide valid STD code \n";

	public static final String T_FV_2148_M = "If there is no update in Deductor details, STD Code of Deductor/ Collector must not be provided \n";

	//Chnaged by Abhishek
	//public static final String T_FV_2149_M = "Provide valid value under field 'Telephone no. of deductor/collector'\n";  // new error added for fvu 2.144
	public static final String T_FV_2149_M = "Provide valid Telephone number \n";

	public static final String T_FV_2150_M = "If there is no Updation in Deductor Detail, Phone number of Deductor/ Collector must not be provided \n";

	public static final String T_FV_2151_M = "Either count of challan or count of salary statement records must be greater than 0 (Zero)  \n";
	public static final String T_FV_2152_M = "Invalid value under field 'Approval Number' \n";  // new error added for fvu 2.144
	public static final String T_FV_2153_M = "If value of 'AO Approval' is 'Y', then Approval Number must be provided \n";
	public static final String T_FV_2154_M = "Invalid value under field 'Approval Number'  \n";  // new error added for fvu 2.144
	public static final String T_FV_2155_M = "If value of 'AO Approval' is 'N', then Approval Number must not be provided \n";

	public static final String T_FV_2156_M = "Mismatch in the 'TAN of deductor/ collector' across the batches. In case of multibatch correction satement, TAN of the deductor/ collector across the batches should be same. \n";
	public static final String T_FV_2157_M = "Mismatch in the 'Last TAN of deductor/ collector' across the batches. In case of multibatch correction satement, 'Last TAN of the deductor/ collector' across the batches should be same. \n";
	public static final String T_FV_2158_M = "'Form Number' must be same as provided in First Batch of File\n";
	public static final String T_FV_2159_M = "'Assessment Year' must be same as provided in First Batch of File\n";
	public static final String T_FV_2160_M = "'Financial Year' must be same as provided in First Batch of File\n";
	public static final String T_FV_2161_M = "'Period' (i.e. quarter) must be same as provided in First Batch of File\n";  // new error added for fvu 2.144
	public static final String T_FV_2162_M = "Mismatch in the 'Original Provisional Receipt/ Token No.' across the batches. In case of multibatch correction satement, 'Original Provisional Receipt/ Token No.' across the batches should be same. \n";
	public static final String T_FV_2163_M = "Mismatch in the 'Previous Provisional Receipt/ Token No.' across the batches. In case of multibatch correction satement, 'Original Provisional Receipt/ Token No.' across the batches should be same. \n";

	//Error codes Added By AMI
	
	public static final String T_FV_2164_M = "Invalid value provided under field 'PAN of Deductor / Employer'. Provide valid 10 digit PAN. \n";  // new error added for fvu 2.144
	public static final String T_FV_2165_M = "For regular statement, 'Last deductor/ collector category' should not be provided.\n";
	public static final String T_FV_2166_M = "If the deductor/ collector details are not updated then 'Last deductor/ collector category' must not be provided. \n";
	public static final String T_FV_2167_M = "State Name not required for deductor category selected. \n";
	public static final String T_FV_2168_M = "Valid State Name should be provided for the deductor category selected. \n";  // new error added for fvu 2.144
	public static final String T_FV_2169_M = "Invalid value provided under field 'State Name' \n";  // new error added for fvu 2.144
	public static final String T_FV_2170_M = "No value to be provided in PAO code field. \n";
	public static final String T_FV_2171_M = "PAO Code not provided. Mandatory to be provide PAO code. \n";
	public static final String T_FV_2172_M = "Invalid value under field 'PAO Code'\n";  // new error added for fvu 2.144
	public static final String T_FV_2173_M = "No value to be provided in DDO code field. \n";
	public static final String T_FV_2174_M = "DDO Code not provided. Mandatory to be provide DDO code. \n";
	public static final String T_FV_2175_M = "Invalid DDO Code \n";
	public static final String T_FV_2176_M = "DDO Code not provided. It is mandatory to be provide valid DDO code.  \n";  // new error added for fvu 2.144
	public static final String T_FV_2177_M = "Invalid value under field 'DDO Code'. \n";  // new error added for fvu 2.144
	public static final String T_FV_2178_M = "Invalid Ministry Name \n";
	public static final String T_FV_2179_M = "No value to be provided under field 'Ministry Name - Others'. \n";  // new error added for fvu 2.144
	public static final String T_FV_2180_M = "Provide valid value under field 'Ministry Name -Others'. \n";  // new error added for fvu 2.144
	public static final String T_FV_2181_M = "Invalid value provided under field 'Ministry Name -Others'. \n";  // new error added for fvu 2.144
	public static final String T_FV_2182_M = "No value to be provided for Filler 2 \n";
	public static final String T_FV_2183_M = "No value to be provided in 'PAO registration no.' field. \n";  // new error added for fvu 2.144
	public static final String T_FV_2184_M = "Invalid value provided under field 'PAO registration no.'\n";  // new error added for fvu2.144
	public static final String T_FV_2185_M = "No value to be provided in 'DDO registration no.' field.\n";  // new error added for fvu 2.144
	public static final String T_FV_2186_M = "Invalid value provided under field 'DDO registration no.' \n";  // new error added for fvu 2.144
	public static final String T_FV_2187_M = "If deductor/ collector details are not updated then 'State Name' should not be provided. \n";
	public static final String T_FV_2188_M = "If deductor/ collector details are not updated then 'PAO code' should not be provided. \n";
	public static final String T_FV_2189_M = "If deductor/ collector details are not updated then 'DDO code' should not be provided. \n";
	public static final String T_FV_2190_M = "If deductor/ collector details are not updated then 'Ministry Name' should not be provided.\n";
	public static final String T_FV_2191_M = "If deductor/ collector details are not updated then 'Ministry Name - Others' should not be provided. \n";
	public static final String T_FV_2192_M = "If deductor/ collector details are not updated then 'PAO registration number' should not be provided. \n";
	public static final String T_FV_2193_M = "If deductor/ collector details are not updated then 'DDO registration number' should not be provided. \n";
	public static final String T_FV_2194_M = "Last Deductor Type is Mandatory \n";
	public static final String T_FV_2195_M = "Invalid Last Deductor/Collector Type \n";
	public static final String T_FV_2196_M = "Provide valid Ministry Name \n";  // new error added for fvu 2.144
	
	//Error Message Added By AMI for FVU 3.0
	public static final String T_FV_2215_M = "Receipt Number should not be provided. \n";
	public static final String T_FV_2200_M = "Invalid Receipt Number. \n";
	public static final String T_FV_2201_M = "If deductor/ collector details are not updated then 'Mobile no. of responsible person' should not be provided. \n";
	public static final String T_FV_2202_M = "Invalid Responsible Person's Mobile Number. \n";
	public static final String T_FV_2203_M = "Valid contact number along with STD code (for deductor or responsible person) or valid mobile number should be provided. \n";  // new error added for fvu 2.144 
	public static final String T_FV_2204_M = "Valid e-mail ID for deductor or responsible person should be provided. \n";  // new error added for fvu 2.144
	public static final String T_FV_2205_M = "No value to be provided for 'Unmatched Challan Count' field. \n";  // new error added for fvu 2.144
	public static final String T_FV_2206_M = "Invalid value under 'Unmatched Challan Count' field. \n";  // new error added for fvu 2.144
	public static final String T_FV_2207_M = "Eight digit receipt no. is mandatory for upload of file through TIN-FC \n";
	public static final String T_FV_2208_M = "Value must be provided for Unmatched Challan Count field. \n";
	public static final String T_FV_2199_M = "RRR Date of return  should be greater than 30th Sep \n";
	//Added by Abhishek
	public static final String T_FV_2209_M = "Provide valid telephone no. of responsible person.  \n";  // new error added for fvu 2.144
	public static final String T_FV_2210_M = "Provide valid STD code of responsible person. \n";  // new error added for fvu 2.144
	public static final String T_FV_2211_M = "Invalid file format. For statements upto FY 2009-10 valdiate statement with FVU 2.130. \n";
	public static final String T_FV_2212_M = "Provide telephone no. of Deductor/Collector. \n";
	public static final String T_FV_2213_M = "Provide STD code of Deductor/Collector. \n";
	
	///// Added by Abhinandan for restricting the 
	public static final String T_FV_2214_M = "Invalid FVU version. For statements pertaining to FY 2010-11 and onwards validate statement with latest FVU version available at TIN website.\n";
	
	//Added by Shalin for FVU 2.134
	public static final String T_FV_2216_M = "Return (regular and correction) for selected Financial Year cannot be submitted. Acceptance of return (regular and correction) upto FY 2006-07 has been discontinued as per the direction from Income Tax Department. \n";
	public static final String T_FV_2217_M = "Update of TAN vide correction statement has been discontinued, as per the direction from Income Tax Department.\n";
	public static final String T_FV_2218_M = "No Value to be specified.\n";
	public static final String T_FV_2219_M = "Preparation of correction statement of FY 2013-14 is not allowed. \n";
	
	//Added for FVU 2.136 by Shalin
	
	public static final String T_FV_2220_M = "Invalid Value - Allowed value is 'Y' or 'N'. \n";
	public static final String T_FV_2221_M = "Invalid Receipt No. of earlier regular statement filed. Please provide valid Receipt No. \n";
	public static final String T_FV_2222_M = "No value to be provided.\n";
	
	//Added for FVU 2.142
	public static final String T_FV_2235_M = "Invalid PAN provided of person responnsible for deducting / collecting tax. Please provide 10 structurally digit valid PAN. \n";  // new error added for fvu 2.144
	
	//Added for FVU 5.5
    public static final String T_FV_2236_M = "Invalid value, please provide valid value. \n";  // new error added for fvu 1.151
	
    public static final String T_FV_2237_M = "Invalid value. Please provide valid 15 digit GSTN. \n";  // new error added for fvu2.152
    
	// public static final String T_FV_2196_M = ""If there is no update in Deductor Detail, registration id must not be provided. \n"; // new error added for fvu2.144
	//END
	
	// Added for FVU 2.144
	public static final String T_FV_6051_M = "Invalid TAN, please enter valid value";
	// ended for FVU 2.144
	///////////   Annual File Header Code ///////////

	public static final String T_FV_1000_C = "T-FV-1000";
	public static final String T_FV_1001_C = "T-FV-1001";
	public static final String T_FV_1002_C = "T-FV-1002";
	public static final String T_FV_1003_C = "T-FV-1003";
	public static final String T_FV_1004_C = "T-FV-1004";
	public static final String T_FV_1005_C = "T-FV-1005";
	public static final String T_FV_1006_C = "T-FV-1006";
	public static final String T_FV_1007_C = "T-FV-1007";
	public static final String T_FV_1008_C = "T-FV-1008";
	public static final String T_FV_1009_C = "T-FV-1009";
	public static final String T_FV_1010_C = "T-FV-1010";
	public static final String T_FV_1011_C = "T-FV-1011";
	public static final String T_FV_1012_C = "T-FV-1012";
	public static final String T_FV_1013_C = "T-FV-1013";
	public static final String T_FV_1014_C = "T-FV-1014";
	public static final String T_FV_1015_C = "T-FV-1015";
	public static final String T_FV_1016_C = "T-FV-1016";
	public static final String T_FV_1017_C = "T-FV-1017";
	public static final String T_FV_1018_C = "T-FV-1018";
	public static final String T_FV_1019_C = "T-FV-1019";
	public static final String T_FV_1020_C = "T-FV-1020";
	public static final String T_FV_1021_C = "T-FV-1021";
	public static final String T_FV_1022_C = "T-FV-1022";
	public static final String T_FV_1023_C = "T-FV-1023";
	public static final String T_FV_1024_C = "T-FV-1024";
	public static final String T_FV_1025_C = "T-FV-1025";
	public static final String T_FV_1026_C = "T-FV-1026";
	public static final String T_FV_1027_C = "T-FV-1027";
	public static final String T_FV_1028_C = "T-FV-1028";
	public static final String T_FV_1029_C = "T-FV-1029";
	public static final String T_FV_1030_C = "T-FV-1030";
	public static final String T_FV_1031_C = "T-FV-1031";
	public static final String T_FV_1032_C = "T-FV-1032";
	//Error Messages Added for New Field RPUTYPE 
	//Added By AMI
	public static final String T_FV_1033_C = "T-FV-1033";
	public static final String T_FV_1034_C = "T-FV-1034";
	public static final String T_FV_1035_C = "T-FV-1035";
	// END
	public static final String T_FV_1036_C = "T-FV-1036";
	public static final String T_FV_1037_C = "T-FV-1037";
	public static final String T_FV_1038_C = "T-FV-1038";
	public static final String T_FV_1039_C = "T-FV-1039";
	public static final String T_FV_1040_C = "T-FV-1040";

	//Added For Mandatory CSI File
	public static final String T_FV_1041_C = "T-FV-1041";
	// addded for FVU 2.144
	public static final String T_FV_1042_C = "T-FV-1042";
	public static final String T_FV_1043_C = "T-FV-1043";
	//ended for FVU 2.144
	public static final String T_FV_1044_C = "T-FV-1044";

	///////    Annual  File Header Messages  ////////////

	public static final String T_FV_1000_M = "Invalid File Header (FH) Record Length i.e., number of fields in the file header are not as per file format.\n";   // new error added for fvu 2.144
	public static final String T_FV_1001_M = "Value must be 'FH' (File Header) in capital letters \n";  // new error added for fvu 2.144
	public static final String T_FV_1002_M = "Line number not in Sequence \n";
	public static final String T_FV_1003_M = "Valid line number must be provided \n";  // new error added for fvu 2.144
	public static final String T_FV_1004_M = "Invalid Value, Allowed values are SL1, NS1, TC1\n";  // new error added for fvu 2.144
	public static final String T_FV_1005_M = "Invalid Value, value must be 'R' (for Regular statement) and 'C' (for Correction statement) in capital letters	\n";  // new error added for fvu 2.144
	public static final String T_FV_1006_M = "Value should be in ddmmyyyy format and it should not be Future Date	\n";
	public static final String T_FV_1007_M = "Valid file sequence number must be provided \n";

	public static final String T_FV_1008_M = "For Correction statement, number of batches allowed are 10\n";  // new error added for fvu 2.144

	public static final String T_FV_1009_M = "Invalid Uploader Type. Allowed value must be 'D' in capital letter\n";  // new error added for fvu 2.144
	public static final String T_FV_1010_M = "Invalid TAN/TFC Id. Valid Tax Deduction and Collection Account Number (TAN)/TIN-FC (TFC) Id must be provided	\n";  // new error added for fvu 2.144
	public static final String T_FV_1011_M = "Valid number of batches must be provided \n";
	//ADD ****
	public static final String T_FV_1012_M = "For Regular statement, number of batch allowed is 1.\n";  // new error added for fvu 2.144
	public static final String T_FV_1013_M = "Mismatch in the number of batches as per the File Header as compared to actual number of batches in the statement  \n";  // new error added for fvu 2.144
	public static final String T_FV_1014_M = "Duplicate File Header record, only one File Header record is allowed\n";  // new error added for fvu 2.144
	public static final String T_FV_1015_M = "File Sequence number is mandatory \n";  // new error added for fvu 2.144
	public static final String T_FV_1016_M = "For TFC Upload ,File Sequence number is not expected\n";
	public static final String T_FV_1017_M = "Data must not be provided in Filler Field.\n";
	public static final String T_FV_1018_M = "Mismatch between number of Batches Specified in File Header Record and number of Batches present in File\n";
	public static final String T_FV_1019_M = "Invalid File Format\n";
	public static final String T_FV_1020_M = "File does not exist or Empty File\n";
	public static final String T_FV_1021_M = "FVU Version is either Incorrect or NULL\n";
	public static final String T_FV_1022_M = "Errors Found during Hash Validation. File has  been tampered after validation by FVU. Validate the statement again through FVU and then submit.\n";
	public static final String T_FV_1023_M = "Invalid File Type. File type for Paper based TDS/TCS statements are not allowed\n";  // new error added for fvu 2.144

	public static final String T_FV_1024_M = "SAM Version is either Incorrect or NULL.\n";
	public static final String T_FV_1025_M = "SCM Version is either Incorrect or NULL.\n";
	public static final String T_FV_1026_M = "Mismatch of FVU File Level HashCode.\n";
	public static final String T_FV_1027_M = "Mismatch of SAM File Level HashCode.\n";
	public static final String T_FV_1028_M = "Mismatch of SCM File Level HashCode.\n";
	////FOR CIN CHALLAN FILE
	//Added by sourabh
	public static final String T_FV_1029_M = "Invalid Challan Input file (CSI file) provided for verification of challan details. Download the challan file (CSI file) from the TIN website and use the same for verification of challan details mentioned in the TDS/TCS statement.\n";  // new error added for fvu 2.144
	public static final String T_FV_1030_M = "Challan Input File (CSI File) does not exist on the path provided\n";  // new error added for fvu 2.144
	public static final String T_FV_1031_M = "Challan Input File (CSI File) provided does not contain any challan details for verification. Import valid Challan Input File (CSI File) downloaded from the TIN website.\n";  // new error added for fvu 2.144
	public static final String T_FV_1032_M = "Number Of challan in CIN File Header is not mathced with Number of challan present.\n";
	
	//Error Messages Added for New Field RPUTYPE 
    //Added By AMI
	public static final String T_FV_1033_M = "Name of Return Preparation Utility (RPU) is not provided. It is mandatory to provide the name of the RPU.\n";
	public static final String T_FV_1034_M = "Invalid name of the Return Preparation Utitlity (RPU). Provide valid name of RPU.\n";
	public static final String T_FV_1035_M = "This FVU is applicable only for electronic TDS/TCS statements. For validation of paper statements, refer latest FVU version applicable for validation of paper TDS/TCS statements \n";  // new error added for fvu 2.144
	//END
    //Added by manas
	public static final String T_FV_1036_M = "Consolidated File Hash should not be provided in Regular File.\n";  // new error added for fvu 2.144
	public static final String T_FV_1037_M = "Consolidated Hash is Mandatory for Correction File.\n";
	public static final String T_FV_1038_M = "Consolidated File is not valid.\n";
	public static final String T_FV_1039_M = "Consolidated File Hash mentioned in the File header does not match with the file hash of Consoliated file.\n";  // new error added for fvu 2.144
	public static final String T_FV_1040_M = "Consolidated File is mandatory for validating a Correction File.\n";
	
	//Added For Mandatory CSI File
	public static final String T_FV_1041_M = "Challan Input File (CSI File) is Mandatory for verification of Non-nil Challans in the TDS/TCS statements\n";  // new error
	// added for FVU 2.144
	public static final String T_FV_1042_M = "Lower version of File Validation Utility (FVU), please download latest version of FVU from TIN website.\n";
	public static final String T_FV_1043_M  = "Invalid TAN, please enter valid value.\n";
	// ended for FVU 2.144
	
	public static final String T_FV_1044_M = "Barcode is not generated. Please validate the statement again through FVU. \n";
	
	////////////   24/26 CHALLAN HEADER ERROR CODES //////

	public static final String T_FV_3000_C = "T-FV-3000";
	public static final String T_FV_3001_C = "T-FV-3001";
	public static final String T_FV_3002_C = "T-FV-3002";
	public static final String T_FV_3003_C = "T-FV-3003";
	public static final String T_FV_3004_C = "T-FV-3004";
	public static final String T_FV_3005_C = "T-FV-3005";
	public static final String T_FV_3006_C = "T-FV-3006";
	public static final String T_FV_3007_C = "T-FV-3007";
	public static final String T_FV_3008_C = "T-FV-3008";
	public static final String T_FV_3009_C = "T-FV-3009";
	public static final String T_FV_3010_C = "T-FV-3010";
	public static final String T_FV_3011_C = "T-FV-3011";
	public static final String T_FV_3012_C = "T-FV-3012";
	public static final String T_FV_3013_C = "T-FV-3013";
	public static final String T_FV_3014_C = "T-FV-3014";
	public static final String T_FV_3015_C = "T-FV-3015";
	public static final String T_FV_3016_C = "T-FV-3016";
	public static final String T_FV_3017_C = "T-FV-3017";
	public static final String T_FV_3018_C = "T-FV-3018";
	public static final String T_FV_3019_C = "T-FV-3019";
	public static final String T_FV_3020_C = "T-FV-3020";
	public static final String T_FV_3021_C = "T-FV-3021";
	public static final String T_FV_3022_C = "T-FV-3022";
	public static final String T_FV_3023_C = "T-FV-3023";
	public static final String T_FV_3024_C = "T-FV-3024";
	public static final String T_FV_3025_C = "T-FV-3025";
	public static final String T_FV_3026_C = "T-FV-3026";
	public static final String T_FV_3027_C = "T-FV-3027";
	public static final String T_FV_3028_C = "T-FV-3028";
	public static final String T_FV_3029_C = "T-FV-3029";
	public static final String T_FV_3030_C = "T-FV-3030";
	public static final String T_FV_3031_C = "T-FV-3031";
	public static final String T_FV_3032_C = "T-FV-3032";
	public static final String T_FV_3033_C = "T-FV-3033";
	public static final String T_FV_3034_C = "T-FV-3034";
	public static final String T_FV_3035_C = "T-FV-3035";
	public static final String T_FV_3036_C = "T-FV-3036";
	public static final String T_FV_3037_C = "T-FV-3037";
	public static final String T_FV_3038_C = "T-FV-3038";
	public static final String T_FV_3039_C = "T-FV-3039";
	public static final String T_FV_3040_C = "T-FV-3040";
	public static final String T_FV_3041_C = "T-FV-3041";
	public static final String T_FV_3042_C = "T-FV-3042";
	public static final String T_FV_3043_C = "T-FV-3043";
	public static final String T_FV_3044_C = "T-FV-3044";
	public static final String T_FV_3045_C = "T-FV-3045";
	public static final String T_FV_3046_C = "T-FV-3046";
	public static final String T_FV_3047_C = "T-FV-3047";
	public static final String T_FV_3048_C = "T-FV-3048";
	public static final String T_FV_3049_C = "T-FV-3049";
	public static final String T_FV_3050_C = "T-FV-3050";
	public static final String T_FV_3051_C = "T-FV-3051";
	public static final String T_FV_3052_C = "T-FV-3052";
	public static final String T_FV_3053_C = "T-FV-3053";
	public static final String T_FV_3054_C = "T-FV-3054";
	public static final String T_FV_3055_C = "T-FV-3055";
	public static final String T_FV_3056_C = "T-FV-3056";
	public static final String T_FV_3057_C = "T-FV-3057";
	public static final String T_FV_3058_C = "T-FV-3058";
	public static final String T_FV_3059_C = "T-FV-3059";
	public static final String T_FV_3060_C = "T-FV-3060";
	public static final String T_FV_3061_C = "T-FV-3061";
	public static final String T_FV_3062_C = "T-FV-3062";
	public static final String T_FV_3063_C = "T-FV-3063";
	public static final String T_FV_3064_C = "T-FV-3064";
	public static final String T_FV_3065_C = "T-FV-3065";
	public static final String T_FV_3066_C = "T-FV-3066";
	public static final String T_FV_3067_C = "T-FV-3067";
	public static final String T_FV_3068_C = "T-FV-3068";
	public static final String T_FV_3069_C = "T-FV-3069";
	public static final String T_FV_3070_C = "T-FV-3070";
	public static final String T_FV_3071_C = "T-FV-3071";
	public static final String T_FV_3072_C = "T-FV-3072";
	public static final String T_FV_3073_C = "T-FV-3073";
	public static final String T_FV_3074_C = "T-FV-3074";
	public static final String T_FV_3075_C = "T-FV-3075";
	public static final String T_FV_3076_C = "T-FV-3076";
	public static final String T_FV_3077_C = "T-FV-3077";
	public static final String T_FV_3078_C = "T-FV-3078";
	public static final String T_FV_3079_C = "T-FV-3079";
	public static final String T_FV_3080_C = "T-FV-3080";
	public static final String T_FV_3081_C = "T-FV-3081";
	public static final String T_FV_3082_C = "T-FV-3082";
	public static final String T_FV_3083_C = "T-FV-3083";
	public static final String T_FV_3084_C = "T-FV-3084";
	public static final String T_FV_3085_C = "T-FV-3085";
	public static final String T_FV_3086_C = "T-FV-3086";
	public static final String T_FV_3087_C = "T-FV-3087";
	public static final String T_FV_3088_C = "T-FV-3088";
	public static final String T_FV_3089_C = "T-FV-3089";
	public static final String T_FV_3090_C = "T-FV-3090";
	public static final String T_FV_3091_C = "T-FV-3091";
	public static final String T_FV_3092_C = "T-FV-3092";
	public static final String T_FV_3093_C = "T-FV-3093";
	public static final String T_FV_3094_C = "T-FV-3094";
	public static final String T_FV_3095_C = "T-FV-3095";
	public static final String T_FV_3096_C = "T-FV-3096";
	public static final String T_FV_3097_C = "T-FV-3097";
	public static final String T_FV_3098_C = "T-FV-3098";
	public static final String T_FV_3099_C = "T-FV-3099";
	public static final String T_FV_3100_C = "T-FV-3100";
	public static final String T_FV_3101_C = "T-FV-3101";
	public static final String T_FV_3102_C = "T-FV-3102";
	public static final String T_FV_3103_C = "T-FV-3103";
	public static final String T_FV_3104_C = "T-FV-3104";
	public static final String T_FV_3105_C = "T-FV-3105";
	public static final String T_FV_3106_C = "T-FV-3106";
	public static final String T_FV_3107_C = "T-FV-3107";
	public static final String T_FV_3108_C = "T-FV-3108";
	public static final String T_FV_3109_C = "T-FV-3109";
	public static final String T_FV_3110_C = "T-FV-3110";
	public static final String T_FV_3111_C = "T-FV-3111";
	public static final String T_FV_3112_C = "T-FV-3112";
	public static final String T_FV_3113_C = "T-FV-3113";
	public static final String T_FV_3114_C = "T-FV-3114";
	public static final String T_FV_3115_C = "T-FV-3115";
	public static final String T_FV_3116_C = "T-FV-3116";
	public static final String T_FV_3117_C = "T-FV-3117";
	public static final String T_FV_3118_C = "T-FV-3118";
	public static final String T_FV_3119_C = "T-FV-3119";
	public static final String T_FV_3120_C = "T-FV-3120";
	public static final String T_FV_3121_C = "T-FV-3121";
	public static final String T_FV_3122_C = "T-FV-3122";
	public static final String T_FV_3123_C = "T-FV-3123";
	public static final String T_FV_3124_C = "T-FV-3124";
	public static final String T_FV_3125_C = "T-FV-3125";
	public static final String T_FV_3126_C = "T-FV-3126";
	public static final String T_FV_3127_C = "T-FV-3127";
	public static final String T_FV_3139_C = "T-FV-3139";
	//-------Added by sourabh for electronic warning file for CIN Upload
	   public static final String T_FV_3140_C = "T-FV-3140" ;
	   public static final String T_FV_3141_C = "T-FV-3141" ;
	   public static final String T_FV_3142_C = "T-FV-3142" ;
	   public static final String T_FV_3143_C = "T-FV-3143" ;
	   public static final String T_FV_3144_C = "T-FV-3144" ;
	   public static final String T_FV_3145_C = "T-FV-3145" ;
	   public static final String T_FV_3146_C = "T-FV-3146" ;
	   public static final String T_FV_3147_C = "T-FV-3147" ;
	   public static final String T_FV_3148_C = "T-FV-3148" ;
	   // End By Sourabh
	
	//Error Codes Added by AMI
	public static final String T_FV_3149_C = "T-FV-3149";
	public static final String T_FV_3150_C = "T-FV-3150";	
	//END
	
	//Added by Shalin for fvu 2.134
	public static final String T_FV_3151_C = "T-FV-3151";
	
	//Added by Shalin for fvu 2.135
	public static final String T_FV_3152_C = "T-FV-3152";
	//added by amit for fvu 2.142
	public static final String T_FV_3158_C="T-FV-3158";
	//ended by amit
	
	
	//Added for FVU 2.136 by Shalin
	
	public static final String T_FV_3153_C="T-FV-3153";
	public static final String T_FV_3154_C="T-FV-3154";
	public static final String T_FV_3155_C="T-FV-3155";
	
	//Added for FVU 2.141
	
	public static final String T_FV_3156_C="T-FV-3156";
	public static final String T_FV_3157_C="T-FV-3157";
	public static final String T_FV_3159_C="T-FV-3159";
	// Added for fvu 5.0
	public static final String T_FV_3173_C="T-FV-3173";
	// Added for fvu 5.5
	public static final String T_FV_3174_C="T-FV-3174";
	
	//////////     24/26  CHALLAN HEADER ERROR MESSAGES //////////

	public static final String T_FV_3000_M = "Invalid Challan details Record Length i.e., number of fields in the file is not same as applicable in the file format. For allowed number of fields, kindly refer the latest applicable file format available at TIN website. \n";
	public static final String T_FV_3001_M = "Value must be 'CD' (capital letters)	\n";
	public static final String T_FV_3002_M = "Line number not in Sequence \n";
	public static final String T_FV_3003_M = "Invalid Line number \n";
	public static final String T_FV_3004_M = "Invalid Batch Number \n";
	public static final String T_FV_3005_M = "Batch no. of challan does not match with the batch in which it is present \n";
	public static final String T_FV_3006_M = "Challan update Indicator is mandatory \n";  // new error added for fvu 2.144
	public static final String T_FV_3007_M = "Valid Challan update Indicator must be provided	\n";  // new error added for fvu 2.144

	public static final String T_FV_3008_M = "Updation Indicator must not be provided \n";

	public static final String T_FV_3009_M = "Invalid Challan-Detail Record Number or value must be >= 1 \n";
	public static final String T_FV_3010_M = "Valid NIL Challan Indicator must be provided\n";
	public static final String T_FV_3011_M = "Data must not be provided \n";
	public static final String T_FV_3014_M = "Valid Count of Deductee / Party Records must be provided	\n";
	public static final String T_FV_3015_M = "Except for Cancellation and change in challan details, count of Deductee / Party is mandatory	\n";
	public static final String T_FV_3016_M = "Data must not be provided \n";
	public static final String T_FV_3017_M = "Invalid Last Bank Challan No\n";

	public static final String T_FV_3018_M = "Last bank challan no must not be provided \n";

	public static final String T_FV_3019_M = "For Correction of Non-Nil Challan where Book Entry flag is 'No' or 'Null', Last Bank Challan Number is mandatory \n";
	public static final String T_FV_3020_M = "Invalid Oltas-TDS / TCS Income Tax\n";
	public static final String T_FV_3021_M = "Invalid Bank Challan No\n";
	public static final String T_FV_3022_M = "For TDS/TCS deposited through challan, Challan Serial Number is Mandatory for non-nil challans i.e., challan deposit amount is greater than '0.00' \n";
	public static final String T_FV_3023_M = "For tax deposited through book entry, Challan Serial Number should not be provided\n";
	public static final String T_FV_3024_M = "Invalid Transfer Voucher No	\n";

	public static final String T_FV_3025_M = "Last Transfer Voucher No. must not be provided \n";

	public static final String T_FV_3026_M = "For TDS/TCS deposited through challan, Last Challan Serial Number/ DDO Serial Number is Mandatory.\n";
	public static final String T_FV_3027_M = "Oltas TDS/TCS-Income Tax must not be provided \n";
	public static final String T_FV_3028_M = "Invalid Last Transfer Voucher No\n";
	public static final String T_FV_3029_M = "For Non-Nil statement either 'Bank Challan Number' or 'Transfer Voucher Number' must be provided \n";

	public static final String T_FV_3030_M = "Invalid Challan-Detail Record number, Value must be >=1 \n";

	public static final String T_FV_3031_M = "Invalid Last Bank Branch Code \n";

	public static final String T_FV_3032_M = "Last Bank Branch Code must not be provided \n";

	public static final String T_FV_3033_M = "For Nil Challan/ Transfer voucher, Oltas TDS/TCS-Income Tax must be 0.00 (zero) \n";
	public static final String T_FV_3034_M = "Valid Oltas -TDS / TCS Surcharge must be provided \n";
	public static final String T_FV_3035_M = "Invalid Bank Branch Code \n";
	//public static final String T_FV_3036_M = "For TDS/TCS deposited through challan, Challan Serial Number is Mandatory	\n";
	public static final String T_FV_3036_M = "For TDS/TCS deposited through challan, Bank BSR code is mandatory\n";  // new Error Added in for FVU 5.0
	public static final String T_FV_3037_M = "Invalid Last Date of 'Bank Challan No / Transfer Voucher No'\n";

	public static final String T_FV_3038_M = "Last Date of 'Bank Challan No/ Transfer Voucher No' must not be provided \n";

	public static final String T_FV_3039_M = "Last date of Bank Challan No./ Transfer Voucher No. is mandatory \n";
	public static final String T_FV_3040_M = "Invalid Date of 'Bank Challan' / 'Transfer Voucher' / 'Form 24G'. Date should be in ddmmyyyy format and cannot be a future date \n";  // new error added for fvu 2.144
	public static final String T_FV_3041_M = "Valid Sum of 'Total Income Tax Deducted at Source' ('TDS/ TCS-Income Tax' + 'TDS/ TCS-Surcharge' + 'TDS/ TCS-Cess') must be provided. \n";  // new error added for fvu 2.144
	public static final String T_FV_3042_M = "Data must not be provided	\n";
	public static final String T_FV_3043_M = "Invalid Section / Collection Code. Refer file format for allowed values \n";
	public static final String T_FV_3044_M = "Valid Last Total of Deposit Amount as per Challan must be provided	\n";

	public static final String T_FV_3045_M = "Last Total of Deposit Amount as per Challan must not be provided \n";

	public static final String T_FV_3046_M = "Last Total of Deposit Amount as per Challan is mandatory \n";
	public static final String T_FV_3047_M = "Valid Total of Deposit Amount as per Challan must be provided	\n";
	public static final String T_FV_3048_M = "Total of TDS/TCS-Income Tax + TDS/TCS-Surcharge + TDS/TCS-Cess is not equal to Sum of 'Total Income Tax Deducted at Source' \n";
	public static final String T_FV_3049_M = "Invalid value in the field TDS/TCS-Interest Amount or value not as per file format\n";  // new error added for fvu 2.144
	public static final String T_FV_3050_M = "Sum of 'Total Income Tax Deducted at Source' (Income Tax + Surcharge + Cess ) must not be provided \n";
	public static final String T_FV_3051_M = "Invalid value in the field TDS/TCS-Others Amount or value not as per file format\n";  // new error added for fvu 2.144
	public static final String T_FV_3052_M = "Section must not be provided \n";
	//   public static final String	T_FV_3053_M	 = "Invalid Sum of Total of TDS/TCS as per Deductee Details or value not as per file format\n";   // new error added for fvu 2.144
	public static final String T_FV_3054_M = "Remark must not be provided \n";
	public static final String T_FV_3055_M = "Either Last Bank Challan No must be provided or Last Transfer Voucher No, not both  \n";
	public static final String T_FV_3056_M = "Bank Challan number must not be provided \n";
	public static final String T_FV_3057_M = "For deposit of TDS/ TCS through challan, 'Last Transfer Voucher No.' / 'DDO Serial No.' must not be provided \n";
	public static final String T_FV_3058_M = "If 'Last Transfer Voucher No' is provided than 'Last Bank Branch Code' must not be provided \n";
	public static final String T_FV_3059_M = "Transfer Voucher No. must not be provided \n";
	public static final String T_FV_3060_M = "For Cancellation no Transfer Voucher No. should be provided. \n";
	public static final String T_FV_3061_M = "For Correction of Non-Nil Challan, Last Bank Branch Code is mandatory. \n";
	public static final String T_FV_3062_M = "Bank Challan No. should not be provided \n";
	public static final String T_FV_3063_M = "Bank Branch Code must not be provided \n";
	public static final String T_FV_3064_M =
		"Last Date of 'Bank Challan No / Transfer Voucher must be equal to Date of 'Bank Challan No / Transfer Voucher No \n";
	public static final String T_FV_3065_M = "Either Bank Challan Number must be provided or Transfer Voucher number , not both  \n";
	public static final String T_FV_3066_M =
			"Sum of 'TDS/TCS-Interest Amount' + 'TDS/TCS-Others(amount)' + 'Total Tax Deposit Amount' as per deductee annexure is greater than Total of Deposit Amount as per 'Challan' / 'Transfer Voucher'.  \n";  // new error added for fvu 2.144
	public static final String T_FV_3067_M = "For TDS/TCS deposited through challan, 'Transfer Voucher' / 'DDO Serial number' must not be provided \n";
	public static final String T_FV_3068_M = "Total Tax Deposit Amount as per deductee annexure greater than Total of Deposit Amount as per Challan/Transfer Voucher Number \n";
	public static final String T_FV_3069_M = "Valid Total Tax Deposit Amount as per deductee annexure must be provided\n";
	public static final String T_FV_3070_M =
			"Either the number of Challan(s) stated in Batch Header (BH) is not equal to the number of Challan(s) present in the Batch or mismatch between 'Total of deposited amount as per Challan' at Batch Record and summation of 'Total of Deposit Amount as per Challan/Transfer Voucher No'.\n";  //new error added for fvu 2.144
	//   public static final String	T_FV_3071_M	 = "For Government Organization Last Bank Challan number must not be provided \n";
	public static final String T_FV_3072_M =
		"If Challan/ Transfer voucher is not updated then the 'Challan deposit amount' and 'Last Challan deposit amount' should be same \n";
	public static final String T_FV_3073_M = "If 'Challan Serial Number' is provided then 'Bank Branch Code' must be provided.\n";  // new error added for fvu 2.144
	public static final String T_FV_3074_M = "Count of Deductee / Party must not be provided  \n";
	public static final String T_FV_3075_M = "Total Tax deposit amount as per Deductee annexure must not be provided. \n";
	public static final String T_FV_3076_M = "Invalid Date of Bank Challan, Date prior to Financial Year\n";  // new error added for fvu 2.144
	public static final String T_FV_3077_M = "Error message 'Invalid Challan-Detail Record' is displayed \n";
	public static final String T_FV_3078_M = "Valid TDS / TCS -Income Tax Amount must be provided \n";
	public static final String T_FV_3079_M = "If Nil Challan , Total Tax Deposit Amount as per deductee annexure must be 0.00 (zero) \n";
	public static final String T_FV_3080_M = "If Nil Challan , Last Total of Deposit Amount as per Challan must be 0.00 (zero) \n";
	public static final String T_FV_3081_M = "If Nil Challan , Total of Deposit Amount as per Challan must be 0.00 (zero) \n";
	public static final String T_FV_3082_M = "For Nil Challan , TDS/TCS-Interest amount must be 0.00 (zero)\n";
	public static final String T_FV_3083_M = "TDS / TCS -Income Tax Amount must not be provided \n";
	public static final String T_FV_3084_M = "For Nil Challan/ Transfer Voucher , TDS/TCS-Others amount must be 0.00 (zero)\n";
	//   public static final String	T_FV_3085_M	 = "For Nil Challan , Total of TDS/TCS as per Deductee Details must be  0.00 (zero)\n";
	public static final String T_FV_3086_M = "For Transaction Type C5, Cancellation, TDS/TCS-Interest amount must not be provided\n";
	public static final String T_FV_3087_M = "If deductee details are not provided then TDS-Income Tax Amount must be 0.00 (zero)\n";
	public static final String T_FV_3088_M = "TDS / TCS-Others amount must not be provided \n";
	//   public static final String	T_FV_3089_M	 = "For Cancellation, Total of TDS/TCS as per Deductee Details must not be provided\n";
	public static final String T_FV_3090_M = "Remark must not be provided \n";
	public static final String T_FV_3091_M =
		"Mismatch between 'Sum of 'Total Income Tax Deducted at Source' ('TDS/TCS-Income Tax '+ 'TDS/TCS-Surcharge' + 'TDS/TCS-Cess')' at Challan record and summation of 'Total Income Tax Deducted' for all deductees under the challan \n";
	public static final String T_FV_3092_M = "Mismatch between Total Tax Deposit Amount as per deductee annexure at Challan and Sum of Total Tax Deposited of Deductee Record\n";
	public static final String T_FV_3093_M = "Oltas TDS/TCS- Surcharge must not be provided \n";
	public static final String T_FV_3094_M = "For Nil Challan Indicator, Oltas TDS/TCS-Surcharge must be 0.00 (zero)\n";
	public static final String T_FV_3095_M = "Valid Oltas-TDS / TCS Cess must be provided \n";
	public static final String T_FV_3096_M = "Challan detail must not be provided \n";
	public static final String T_FV_3097_M = "Valid TDS/ TCS -Surcharge Amount must be provided \n";
	public static final String T_FV_3098_M = "If deductee details are not provided then TDS/TCS -Surcharge Amount must be 0.00 (zero)\n";
	public static final String T_FV_3099_M = "TDS / TCS -Surcharge must not be provided \n";
	public static final String T_FV_3100_M = "Valid TDS / TCS-Cess Amount must be provided\n";
	public static final String T_FV_3101_M = "If deductee details are not provided then TDS/TCS -Cess Amount must be 0.00 (zero)\n";
	public static final String T_FV_3102_M = "TDS / TCS -Cess must not be provided \n";
	public static final String T_FV_3103_M = "If deductee details are not provided then Total Tax Deposit Amount must be 0.00 (zero)\n";
	public static final String T_FV_3104_M = "Value provided for mode of deposit (Challan/ Transfer voucher) is invalid. Allowed values are  'Y' or 'N' \n";  // new error added for fvu 2.144
	public static final String T_FV_3105_M = "Mode of Deposit (Book entry or cash) of Tax must not be provided \n";
	public static final String T_FV_3106_M = "Oltas TDS/TCS- Cess must not be provided \n";
	public static final String T_FV_3107_M = "For Nil Challan Indicator, Oltas TDS/TCS-Cess must be 0.00 (zero)\n";
	public static final String T_FV_3108_M = "Valid Oltas-TDS / TCS Interest Amount must be provided \n";
	public static final String T_FV_3109_M = "Oltas TDS/TCS- Interest amount must not be provided \n";
	public static final String T_FV_3110_M = "For Nil Challan Indicator, Oltas TDS/TCS-Interest Amount must be 0.00 (zero)\n";
	public static final String T_FV_3111_M = "Valid Oltas -TDS / TCS Others (amount) must be provided \n";
	public static final String T_FV_3112_M = "Oltas TDS/TCS- Others (amount) must not be provided \n";
	public static final String T_FV_3113_M = "For Nil Challan/ Transfer voucher, Oltas TDS/TCS-Others amount must be 0.00 (zero)\n";
	public static final String T_FV_3114_M =
			"Total of Deposit Amount as per 'Challan' / 'Transfer Voucher' not equal to Sum of 'Oltas TDS/TCS-Income Tax' + 'Oltas TDS/TCS-Surcharge' + 'Oltas TDS/TCS-Cess' + 'Oltas TDS/TCS-Interest' + 'Late Fee' + 'Oltas TDS/TCS-Other amount'.  \n";  // new error added for fvu 2.144
	public static final String T_FV_3115_M = "Invalid value in the field Cheque/DD number or value not as per file format \n";  // new error added for fvu 2.144
	public static final String T_FV_3116_M = "Cheque / DD number must not be provided \n";
	public static final String T_FV_3117_M = "Data must not be provided \n";
	public static final String T_FV_3118_M = "Data must not be provided \n";
	public static final String T_FV_3119_M = "For Transaction Type C5, Date of  deposit of 'Challan' / 'Transfer Voucher' / 'Form 24G' must not be provided.  \n";
	public static final String T_FV_3120_M = "Total of Deposit Amount as per Challan must not be provided \n";
	public static final String T_FV_3121_M = "If Last Bank Branch Code (BSR code) is not provided, then Last Challan Serial Number must not be provided \n";
	public static final String T_FV_3122_M = "If 'Challan Serial Number' is not provided then 'Bank Branch Code' (BSR code) must not be provided \n";
	public static final String T_FV_3123_M = "If Challan/ Transfer voucher is not updated then 'Last Transfer voucher number' should not be provided \n";
	public static final String T_FV_3124_M = "For deposit of TDS/TCS through transfer voucher, 'Last Bank branch code' must not be provided \n";
	public static final String T_FV_3125_M = "For deposit of TDS/TCS through challan, no value should be provided in the field 'Transfer voucher No.' \n";
	public static final String T_FV_3126_M = "Invalid value in the field Deductee/Party records or value not as per file format\n";  // new error added for fvu 2.144
	public static final String T_FV_3127_M = "If 'Last Challan Serial Numer' is not provided than 'Last Bank Branch Code' must not be provided \n";
	public static final String T_FV_3128_M = "Date of Bank Challan No. should not be provided \n";
	public static final String T_FV_3129_M = "If Challan update indicator is '0', then value under 'Section' must not be provided. \n";  // new error added for fvu 2.144
	public static final String T_FV_3130_M = "If Challan is not updated then 'Oltas TDS/TCS- Surcharge amount' must not be provided \n";
	public static final String T_FV_3131_M = "If Challan is not updated then 'Oltas TDS/TCS- Cess amount' must not be provided \n";
	public static final String T_FV_3132_M = "If Challan is not updated then 'Oltas TDS/TCS- Interest amount' must not be provided \n";
	public static final String T_FV_3133_M = "If Challan is not updated then 'Oltas TDS/TCS- Others amount' must not be provided \n";
	public static final String T_FV_3134_M = "Last Total of Deposit Amount as per Challan must not be provided";
	public static final String T_FV_3135_M = "If Challan is not updated then 'Cheque' /  'DD Number' must not be provided \n";
	public static final String T_FV_3136_M = "If Challan update Indicator is '0', then value under remark must not be provided  \n";  // new error added for fvu 2.144
	public static final String T_FV_3137_M = "Challan detail must not be provided \n";
	public static final String T_FV_3138_M = "Bank Challan No. should not be provided \n";
	public static final String T_FV_3139_M = "BSR code not present in list of authorized bank branches \n";
	//Added by sourabh for CIN Warning file
	public static final String T_FV_3140_M = "Mismatch in TAN of deductor/collector in statement and challan file imported \n";
	public static final String T_FV_3141_M = "Challan details mentioned in the statement not present in the challan file imported \n";
	public static final String T_FV_3142_M = "Mismatch in challan serial no. and Bank branch code in the statement with challan details uploaded by the bank \n";
	public static final String T_FV_3143_M = "Mismatch in challan serial no. in the statement with challan details uploaded by the bank \n";
	public static final String T_FV_3144_M = "Mismatch in date of deposit in the statement with challan details uploaded by the bank \n";
	public static final String T_FV_3145_M = "Mismatch in date of deposit and Bank branch code in the statement with challan details uploaded by the bank \n";
	public static final String T_FV_3146_M = "Challan Amount of the statement does not match with challan file imported \n";
	public static final String T_FV_3147_M = "Mismatch in bank branch code in the statement with challan details uploaded by the bank \n";
	public static final String T_FV_3148_M = "Mismatch in date of deposit and challan serial no. in the statement with challan details uploaded by the bank \n";
	//End By sourabh
	
	//Error Codes Added By AMI
	public static final String T_FV_3149_M = "Provide valid 7 digit BSR code \n";
	public static final String T_FV_3150_M = "Invalid value provided. For nil challan / Transfer Voucher value should be within the Quarter and FY \n";	
	
	//Added by Shalin for FVU 2.134
	public static final String T_FV_3151_M = "No value to be specified. \n";
	
	//Added by Shalin for FVU 2.135
	public static final String T_FV_3152_M = "No value to be provided for By Book entry / Cash in case of Nil challan.\n";
	
	//Added for FVU 2.136 by Shalin
	public static final String T_FV_3153_M="For TDS/TCS deposited through Transfer voucher, challan serial number should not be provided \n";
	public static final String T_FV_3154_M="Invalid Date of Bank Challan. Date prior to immediate previous Financial Year is not allowed.\n";
	public static final String T_FV_3155_M="Section code '194LC' is allowed only for deductor category 'Company' and 'Branch of company'.\n";
	//added by amit for FVU 2.142
	public static final String T_FV_3158_M="Invalid Value 'Fee'. \n";
	
	//Added for FVU 2.141
	public static final String T_FV_3156_M="Total TDS Amount as per deductee annexure is greater than TDS Amount as per 'Challan' / 'Transfer Voucher or vice versa.\n";
	public static final String T_FV_3157_M="Total Surcharge Amount as per deductee annexure is greater than Surcharge Amount as per 'Challan' / 'Transfer Voucher' or vice versa.\n";
	public static final String T_FV_3159_M="Total Cess Amount as per deductee annexure is greater than Cess Amount as per 'Challan' / 'Transfer Voucher' or vice versa.\n";
	// Added for FVU 5.0
	public static final String T_FV_3173_M ="Name of deductor in the statement should exactly match the Name of deductor as per TAN Master Database of ITD.\n";
	// added for FVU 5.5
	//public static final String T_FV_3174_M ="This is old FVU version, please use the latest FVU version available at www.tin-nsdl.com and validate the file. File Validated with old FVU version will not be accepted. \n";
	public static final String T_FV_3174_M ="Either you are using old FVU version or old challan file (i.e. .csi file), please use the latest FVU version and challan file available at www.tin-nsdl.com and validate the file.\n";
	// ended for FVU 5.5
	public static final String T_FV_6139_C = "T_FV_6139";
	public static final String T_FV_6139_M = "Invalid value provided for 'Aggregate amount of deductions admissible under section 80C, 80CCC and 80CCD(1)' \n";
	// Changes commented for 6.7 on hold cr start
	//Error code to skip validation for FIN year 2019-20 onwards
	/*public static final String T_FV_9000_C = "T-FV-9000";
	public static final String T_FV_9000_M = "Please validate the file using valid FVU, the combination of FY, Form and Quarter cannot be validated using this FVU \n" ;
*/
	// Changes commented for 6.7 on hold cr end
	
	// Obs no 9 09 Mar 2021 - Vinita
	public static final String T_FV_6202_C = "T_FV_6202";
	public static final String T_FV_6202_M = "Encryption certificate present in FVU/RPU folder is old. Request you to re-download FVU folder from TIN website and copy/replace FVU jar along with all supporting files in your FVU/RPU folder. \n";
	
} //INTERFACE
